// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.constant;


/**
 * @ClassName LdConstants
 * @Description 寿命数据常量管理
 * @Author aaron
 * @CreateDate 2014-9-9
 * @version V1.0
 */
public final class RgaConstants {

    /**
     * <p>Title: </p>
     * <p>Description: </p>
     */
    private RgaConstants() {
        super();
    }

    public static final String COLUMN1 = "comment1";
    public static final String COLUMN2 = "comment2";
    public static final String COLUMN3 = "comment3";
    public static final String COLUMN4 = "comment4";
    public static final String COLUMN5 = "comment5";
    public static final String COLUMN6 = "comment6";
    public static final String COLUMN7 = "comment7";
    public static final String COLUMN8 = "comment8";

    public static final String CHAR_LIFE = "ALTA/Functions/CharLife";
    public static final String RELIABILITY = "ALTA/Functions/Reliability";
    public static final String UN_RELIABILITY = "ALTA/Functions/UnReliability";
    public static final String COND_RELIABILITY = "ALTA/Functions/CondReliability";
    public static final String COND_UN_RELIABILITY = "ALTA/Functions/CondUnReliability";
    public static final String FAILURE_RATE = "ALTA/Functions/FailureRate";
    public static final String TIME_AT_RELIABILITY = "ALTA/Functions/TimeAtReliability";
    public static final String TIME_AT_UN_RELIABILITY = "ALTA/Functions/TimeAtUnReliability";
    public static final String MEAN_LIFE = "ALTA/Functions/MeanLife";
    public static final String ACCELERATION_FACTOR = "ALTA/Functions/AccelerationFactor";

    public static final String BOUNDS_RELIABILITY = "ALTA/Bounds/BoundsOnReliability";
    public static final String BOUNDS_UN_RELIABILITY = "ALTA/Bounds/BoundsOnUnReliability";
    public static final String BOUNDS_COND_RELIABILITY = "ALTA/Bounds/BoundsCondReliability";
    public static final String BOUNDS_COND_UN_RELIABILITY = "ALTA/Bounds/BoundsCondUnReliability";
    public static final String BOUNDS_FAILURE_RATE = "ALTA/Bounds/BoundsOnFailureRate";
    public static final String BOUNDS_TIME_AT_RELIABILITY = "ALTA/Bounds/BoundsOnTimeAtGivenRel";
    public static final String BOUNDS_TIME_AT_UN_RELIABILITY = "ALTA/Bounds/BoundsOnTimeAtGivenUnRel";
    public static final String BOUNDS_MEAN_LIFE = "ALTA/Bounds/BoundsOnMeanLife";
    public static final String BOUNDS_ACCELERATION_FACTOR = "ALTA/Bounds/BoundsOnAccelerationFactor";


    public static final String WEIBULL_1_STRESS = "ALTA/Weibull1stress";
    public static final String WEIBULL_2_STRESS = "ALTA/Weibull2Stress";

    public static final String LOG_NORMAL_1_STRESS = "ALTA/LogNormal1stress";
    public static final String LOG_NORMAL_2_STRESS = "ALTA/LogNormal2stress";

    public static final String WEIBULL_MULTI_STRESS = "ALTA/WeibullMultiStress";
    public static final String LOG_NORMAL_MULTI_STRESS = "ALTA/LogNormalMultiStress";
    public static final String FAILURE_RANK = "ALTA/FailureRank";

    /** 批处理一次提交可处理数据条数 */
    public static final int MAX_BATCH_NUM = 100;

    // ==================
    // 分析明细数据的F或者S状态
    // ==================
    /** 表示s */
    public static final String STATE_S = "0";
    /** 表示f */
    public static final String STATE_F = "1";
    /** 页面表示名s */
    public static final String STATE_SUSPENSION = "S";
    public static final String STATE_FUFPENSION = "F";

    // ==================
    // 明细数据编辑页面,复选框是否选择
    // ==================
    /** 表示复选框选中  */
    public static final String FLAG_CHECKED = "1";
    /** 表示复选框未选中 */
    public static final String FLAG_NO_CHECKED = "0";

    public static final String DEFAULT_DEL_FLAG = "0";

    public static final String DEL_FLAG = "1";

    public static final String  RGA_API_CONTENTTYPE_1= "application/json";
    public static final String  RGA_API_ACCEPTTYPE_1= "text/html";
    /** 数字1 */
    public static final int NUM_ONE = 1;
    /** 4位小数 */
    public static final int NUM_DIGIT_4 = 4;

    /** 编码格式 ISO-8859-1 */
    public static final String CODING_FORMAT = "ISO-8859-1";
    /** 左小括号 :（*/
    public static final String LEFT_PARENTHESES_CN = "（";
    /** 右小括号 :）*/
    public static final String RIGHT_PARENTHESES_CN = "）";

    /** XLSM */
    public static final String FILE_TYPE_XLSM = ".xlsm";
    public static final String FILE_TYPE_XLSX = ".xlsx";
    /** 数据插入最大值 */
    public static final int MAX_BATCH_NUMMAX = 10000;

    public static final String SERVER_SYSTEM_WINDOWS = "windows";
    public static final String SERVER_SYSTEM_LINUX = "linux";
}

