package com.nationrel.modules.rga.constant;

/**
 * 计算类型含参数配置
 * @author Aimee on 2020/10/22.
 */
public enum RgaDistributionTypeEnum {
    /**
     * 计算类型含参数配置
     */
    Weibull(0),
    Weibull1P(1),
    Weibull3P(2),
    WeibullMixed2Pop(3),
    WeibullMixed3Pop(4),
    Exponential(5),
    Normal(6),
    Normal1P(7),
    LogNormal(8),
    LogNormal1P(9);

    private Integer index;

    private String name;

    RgaDistributionTypeEnum(Integer index) {
        this.index = index;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(Integer index) {
        for (RgaDistributionTypeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return null;
    }

}
