package com.nationrel.modules.rga.constant;

/**
 * 应力模型
 * @author Aimee on 2020/10/22.
 */
public enum RgaLifeStressModelEnum {
    /**
     * 应力模型
     */
    Arrhenius(0),
    Eyring(1),
    IPL(2),
    Temp_Humidity(3),
    Temp_NonThermal(4),
    General_Log_Linear(5);

    private Integer index;

    private String name;

    RgaLifeStressModelEnum(Integer index) {
        this.index = index;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(Integer index) {
        for (RgaLifeStressModelEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return null;
    }

}
