// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.dto;

import com.nationrel.modules.rga.entity.RgaAnalysis;
import com.nationrel.modules.rga.entity.RgaColumn;
import com.nationrel.modules.rga.entity.RgaData;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Schema(description = "快速计算数据接受")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaAnalysisAddDto extends RgaAnalysis {

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "包含删失数据(右删失数据) 1:选中  0:未选中")
    private String rightFlag;

    @Schema(description = "包含区间数据或左删失数据 1:选中  0:未选中")
    private String leftFlag;

    @Schema(description = "分组数据 1:选中  0:未选中")
    private String groupingFlag;

    @Schema(description = "当前页起始数据编号 (比如第1页10条数据，当前值为1.第2页10条，当前值为11)")
    private int startDataNo;

    @Schema(description = "当前页结束数据编号 (比如第1页10条数据，当前值为10.第2页10条，当前值为20)")
    private int endDataNo;

    @Schema(description = "加速数据分析应力设置信息")
    private List<RgaColumn> rgaColumns;

    @Schema(description = "加速数据分析数据")
    private List<RgaData> rgaData;
}

