package com.nationrel.modules.rga.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author Aimee on 2020/9/24.
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RgaAnalysisDataSaveDto {

    @Schema(description = "页面明细数据集合")
    private List<String[]> analysisDatas;

    @Schema(description = "包含删失数据(右删失数据) 1:选中  0:未选中")
    private String rightFlag;

    @Schema(description = "包含区间数据或左删失数据 1:选中  0:未选中")
    private String leftFlag;

    @Schema(description = "分组数据 1:选中  0:未选中")
    private String groupingFlag;

    @Schema(description = "handsome table修改标志")
    private Integer hotDataChange;

    @Schema(description = "当前页起始数据编号 (比如第1页10条数据，当前值为1.第2页10条，当前值为11)")
    private int startDataNo;

    @Schema(description = "当前页结束数据编号 (比如第1页10条数据，当前值为10.第2页10条，当前值为20) ")
    private int endDataNo;

    @Schema(description = "分析ID ")
    private String analysisId;

    @Schema(description = "主信息ID ")
    private String altaId;
}
