// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.dto;

import com.nationrel.modules.rga.entity.RgaColumn;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @ClassName AltaCalDataDto
 * @Description 传入的计算数据
 * @Author hcs
 * @CreateDate 2021-04-21
 * @Version V1.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaCalDataDto {

    private String analysisId;

    private List<RgaColumn> columnIds;
    // @Schema(description = "分布类型 0:Weibull  1:Weibull1P  2:Weibull3P  3:WeibullMixed2Pop  4:WeibullMixed3Pop  5:Exponential  6:Normal  7:Normal1P  8:LogNormal  9:LogNormal1P")
    private Integer distributionType;

    // @Schema(description = "应力模式 0:Arrhenius  1:Eyring  2:IPL  3:Temp_Humidity  4:Temp_NonThermal  5:General_Log_Linear")
    private Integer lifeStressModel;

    private List<String> stressTf;
}

