// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "生成的图形数据")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaImageDetailDto {

    private String analysisId;

    private Integer plotType = 0;

    private String boundSided;

    private String confidenceLevel;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;
}

