// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.jeecg.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Schema(description = "加速数据分析表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_analysis")
public class RgaAnalysis {

    @TableId
    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "alta ID")
    private String projectId;

    @Schema(description = "分析名称")
    private String analysisName;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "周期状态")
    private String lifeState;

    @Schema(description = "发布时间")
    private Date releaseTime;

    @Schema(description = "删除状态")
    private String delFlag;

    @Schema(description = "自定义的结束时间列名")
    private String endTimeName;
    /**
     * 创建人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;
    /**
     * 更新人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private Date updateTime;

    private Integer versionNo;
}
