package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "加速数据分析计算结果表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_calc_result")
public class RgaCalcResult {

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "DISTRIBUTION_TYPE")
    private Integer distributionType;

    @Schema(description = "LIFE_STRESS_MODEL")
    private Integer lifeStressModel;

    @Schema(description = "columnSetting")
    private String columnSetting;

    @Schema(description = "beta")
    private String beta;

    @Schema(description = "log_sigma")
    private String logSigma;

    @Schema(description = "gamma")
    private String gamma;

    @Schema(description = "eta")
    private String eta;

    @Schema(description = "ea")
    private String ea;

    @Schema(description = "lambda")
    private String lambda;

    @Schema(description = "theta")
    private String theta;

    @Schema(description = "log_mu")
    private String logMu;

    @Schema(description = "theta0")
    private String theta0;

    @Schema(description = "theta1")
    private String theta1;

    @Schema(description = "theta2")
    private String theta2;

    @Schema(description = "var_beta")
    private String varBeta;

    @Schema(description = "var_log_sigma")
    private String varLogSigma;

    @Schema(description = "var_theta0")
    private String varTheta0;

    @Schema(description = "var_theta1")
    private String varTheta1;

    @Schema(description = "var_theta2")
    private String varTheta2;

    @Schema(description = "cov_beta_theta0")
    private String covBetaTheta0;

    @Schema(description = "cov_beta_theta1")
    private String covBetaTheta1;

    @Schema(description = "cov_beta_theta2")
    private String covBetaTheta2;

    @Schema(description = "cov_log_sigma_theta0")
    private String covLogSigmaTheta0;

    @Schema(description = "cov_log_sigma_theta1")
    private String covLogSigmaTheta1;

    @Schema(description = "cov_log_sigma_theta2")
    private String covLogSigmaTheta2;

    @Schema(description = "cov_theta1_theta2")
    private String covTheta1Theta2;

    @Schema(description = "cov_theta0_theta2")
    private String covTheta0Theta2;

    @Schema(description = "cov_theta0_theta1")
    private String covTheta0Theta1;

    @Schema(description = "numof_stress")
    private String numofStress;

    @Schema(description = "alpha")
    private String alpha;

    @Schema(description = "cov_matrix")
    private String covMatrix;

    @Schema(description = "lkv")
    private String lkv;

    @Schema(description = "pho")
    private String pho;

    @Schema(description = "sse")
    private String sse;

    @Schema(description = "stress_tf")
    private String stressTf;

}
