package com.nationrel.modules.rga.entity;

import com.alibaba.fastjson.JSONArray;
import com.nationrel.modules.rga.enums.RgaDistributingCodeEnum;
import com.nationrel.modules.rga.enums.RgaLifeStressModelEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.List;

@Schema(description = "加速数据分析计算结果表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RgaCalcResultApiResp {

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "DISTRIBUTION_TYPE")
    private String distributionType;

    @Schema(description = "LIFE_STRESS_MODEL")
    private String lifeStressModel;

    @Schema(description = "columnSetting")
    private String columnSetting;

    @Schema(description = "beta")
    private double beta;

    @Schema(description = "log_sigma")
    private double logSigma;

    @Schema(description = "gamma")
    private double gamma;

    @Schema(description = "eta")
    private double eta;

    @Schema(description = "ea")
    private double ea;

    @Schema(description = "lambda")
    private double lambda;

    @Schema(description = "theta")
    private double theta;

    @Schema(description = "log_mu")
    private double logMu;

    @Schema(description = "theta0")
    private double theta0;

    @Schema(description = "theta1")
    private double theta1;

    @Schema(description = "theta2")
    private double theta2;

    @Schema(description = "var_beta")
    private double varBeta;

    @Schema(description = "var_log_sigma")
    private double varLogSigma;

    @Schema(description = "var_theta0")
    private double varTheta0;

    @Schema(description = "var_theta1")
    private double varTheta1;

    @Schema(description = "var_theta2")
    private double varTheta2;

    @Schema(description = "cov_beta_theta0")
    private double covBetaTheta0;

    @Schema(description = "cov_beta_theta1")
    private double covBetaTheta1;

    @Schema(description = "cov_beta_theta2")
    private double covBetaTheta2;

    @Schema(description = "cov_log_sigma_theta0")
    private double covLogSigmaTheta0;

    @Schema(description = "cov_log_sigma_theta1")
    private double covLogSigmaTheta1;

    @Schema(description = "cov_log_sigma_theta2")
    private double covLogSigmaTheta2;

    @Schema(description = "cov_theta1_theta2")
    private double covTheta1Theta2;

    @Schema(description = "cov_theta0_theta2")
    private double covTheta0Theta2;

    @Schema(description = "cov_theta0_theta1")
    private double covTheta0Theta1;

    @Schema(description = "numof_stress")
    private int numofStress;

    @Schema(description = "alpha")
    private List alpha;

    @Schema(description = "cov_matrix")
    private List covMatrix;

    @Schema(description = "lkv")
    private double lkv;

    @Schema(description = "pho")
    private double pho;

    @Schema(description = "sse")
    private double sse;

    @Schema(description = "stress_tf")
    private List stressTf;

    public static RgaCalcResultApiResp getAltaCalcResultApiResp(RgaCalcResult parm, String serverSysteem){
        if (null == parm) {
            return new RgaCalcResultApiResp();
        }
        return RgaCalcResultApiResp.builder().analysisId(parm.getAnalysisId())
                .distributionType(RgaDistributingCodeEnum.getEnglishNameByIndex(String.valueOf(parm.getDistributionType()), serverSysteem))
                .lifeStressModel(RgaLifeStressModelEnum.getApiNameByIndex(String.valueOf(parm.getLifeStressModel())))
                .columnSetting(parm.getColumnSetting())
                .beta(Double.valueOf(parm.getBeta()))
                .logSigma(Double.valueOf(parm.getLogSigma()))
                .gamma(Double.valueOf(parm.getGamma()))
                .eta(Double.valueOf(parm.getEta()))
                .ea(Double.valueOf(parm.getEa()))
                .lambda(Double.valueOf(parm.getLambda()))
                .theta(Double.valueOf(parm.getTheta()))
                .logMu(Double.valueOf(parm.getLogMu()))
                .theta0(Double.valueOf(parm.getTheta0()))
                .theta1(Double.valueOf(parm.getTheta1()))
                .theta2(Double.valueOf(parm.getTheta2()))
                .varBeta(Double.valueOf(parm.getVarBeta()))
                .varLogSigma(Double.valueOf(parm.getVarLogSigma()))
                .varTheta0(Double.valueOf(parm.getVarTheta0()))
                .varTheta1(Double.valueOf(parm.getVarTheta1()))
                .varTheta2(Double.valueOf(parm.getVarTheta2()))
                .covBetaTheta0(Double.valueOf(parm.getCovBetaTheta0()))
                .covBetaTheta1(Double.valueOf(parm.getCovBetaTheta1()))
                .covBetaTheta2(Double.valueOf(parm.getCovBetaTheta2()))
                .covLogSigmaTheta0(Double.valueOf(parm.getCovLogSigmaTheta0()))
                .covLogSigmaTheta1(Double.valueOf(parm.getCovLogSigmaTheta1()))
                .covLogSigmaTheta2(Double.valueOf(parm.getCovLogSigmaTheta2()))
                .covTheta1Theta2(Double.valueOf(parm.getCovTheta1Theta2()))
                .covTheta0Theta2(Double.valueOf(parm.getCovTheta0Theta2()))
                .covTheta0Theta1(Double.valueOf(parm.getCovTheta0Theta1()))
                .numofStress(Integer.valueOf(parm.getNumofStress()))
                .alpha(JSONArray.parseObject(parm.getAlpha(), ArrayList.class))
                .covMatrix(JSONArray.parseObject(parm.getCovMatrix(), ArrayList.class))
                .lkv(Double.valueOf(parm.getLkv()))
                .pho(Double.valueOf(parm.getPho()))
                .sse(Double.valueOf(parm.getSse()))
                .stressTf(JSONArray.parseObject(parm.getStressTf(), ArrayList.class)).build();
    }

}
