// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.rga.enums.RgaColumuNameEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.List;

@Schema(description = "加速数据分析应力设置表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_column")
public class RgaColumn {

    @Schema(description = "应力ID")
    private String columnId;

    @Schema(description = "分析ID")
    private String analysisId;

    @Schema(description = "应力名称")
    private String name;

    @Schema(description = "单位")
    private String unit;

    @Schema(description = "是否显示")
    private Integer selectStatus;

    @Schema(description = "是否选中计算")
    private Integer showStatus;

    @Schema(description = "应力水平")
    private Double stressLevel;

    @Schema(description = "generalCode")
    private String generalCode;

    public static List<RgaColumn> initializeColumn(String analysisId, Integer languageKey){
        List<RgaColumn> result = new ArrayList<>();
        result.add(new RgaColumn("comment1", analysisId, RgaColumuNameEnum.getNameByLanguageKey("1", languageKey), "K", 1, 0, 300.0, "0"));
        result.add(new RgaColumn("comment2", analysisId, RgaColumuNameEnum.getNameByLanguageKey("2", languageKey), "V", 0, 0, 100.0, "0"));
        result.add(new RgaColumn("comment3", analysisId, RgaColumuNameEnum.getNameByLanguageKey("3", languageKey), "RH", 0, 0, 50.0, "0"));
        result.add(new RgaColumn("comment4", analysisId, RgaColumuNameEnum.getNameByLanguageKey("4", languageKey), "Hz", 0, 0, 25.0, "0"));
        result.add(new RgaColumn("comment5", analysisId, RgaColumuNameEnum.getNameByLanguageKey("5", languageKey), "R", 0, 0, 580.0, "0"));
        result.add(new RgaColumn("comment6", analysisId, RgaColumuNameEnum.getNameByLanguageKey("6", languageKey), "Kips", 0, 0, 25.0, "0"));
        result.add(new RgaColumn("comment7", analysisId, RgaColumuNameEnum.getNameByLanguageKey("7", languageKey), "", 0, 0, 10.0, "0"));
        result.add(new RgaColumn("comment8", analysisId, RgaColumuNameEnum.getNameByLanguageKey("8", languageKey), "", 0, 0, 10.0, "0"));
        return result;
    }
}
