// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.nationrel.modules.rga.constant.RgaConstants;
import com.nationrel.modules.rga.util.NumberParseUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

@Schema(description = "加速数据分析数据表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_data")
public class RgaData {

    @TableId
    @Schema(description = "应力ID")
    private String analysisId;

    @Schema(description = "数据编号")
    private Integer dataNo;

    @Schema(description = "数量")
    private Integer quantity;

    @Schema(description = "最近检查时间")
    private Double lastInspectTime;

    @Schema(description = "F或S状态")
    @TableField(value = "f_s")
    private String failureSuspension;

    @Schema(description = "结束时间")
    private Double failureEndTime;

    @Schema(description = "备注信息1")
    private Double comment1;

    @Schema(description = "备注信息2")
    private Double comment2;

    @Schema(description = "备注信息3")
    private Double comment3;

    @Schema(description = "备注信息4")
    private Double comment4;

    @Schema(description = "备注信息5")
    private Double comment5;

    @Schema(description = "备注信息6")
    private Double comment6;

    @Schema(description = "备注信息7")
    private Double comment7;

    @Schema(description = "备注信息8")
    private Double comment8;

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        // 如果是同一个对象返回true，反之返回false
        if (this == obj) {
            return true;
        }
        // 判断是否类型相同
        if (this.getClass() != obj.getClass()) {
            return false;
        }
        RgaData data = (RgaData) obj;
        return integerEqual(dataNo, data.dataNo) && integerEqual(quantity, data.quantity) && stringEqual(failureSuspension, data.failureSuspension) && doubleEqual(lastInspectTime, data.lastInspectTime) && doubleEqual(failureEndTime, data.failureEndTime) && doubleEqual(comment1, data.comment1) && doubleEqual(comment2, data.comment2) && doubleEqual(comment3, data.comment3) && doubleEqual(comment4, data.comment4) && doubleEqual(comment5, data.comment5) && doubleEqual(comment6, data.comment6) && doubleEqual(comment7, data.comment7) && doubleEqual(comment8, data.comment8);
    }

    private boolean doubleEqual(Double a, Double b) {
        if (a == null && b == null) {
            return true;
        } else if (a == null && b != null) {
            return false;
        } else if (a != null && b == null) {
            return false;
        } else if (a.equals(b)) {
            return true;
        } else {
            return false;
        }
    }

    private boolean integerEqual(Integer a, Integer b) {
        if (a == null && b == null) {
            return true;
        } else if (a == null && b != null) {
            return false;
        } else if (a != null && b == null) {
            return false;
        } else if (a.equals(b)) {
            return true;
        } else {
            return false;
        }
    }

    private boolean stringEqual(String a, String b) {
        if (a == null && b == null) {
            return true;
        } else if (a == null && b != null) {
            return false;
        } else if (a != null && b == null) {
            return false;
        } else if (a.equals(b)) {
            return true;
        } else {
            return false;
        }
    }

    public static String[] toStringStr(RgaData data) {
        return new String[]{data.getDataNo().toString(), data.getQuantity().toString(), valueToStr(data.getLastInspectTime()), data.getFailureSuspension().equals(RgaConstants.STATE_S) ? RgaConstants.STATE_SUSPENSION : RgaConstants.STATE_FUFPENSION, valueToStr(data.getFailureEndTime()), valueToStr(data.getComment1()), valueToStr(data.getComment2()), valueToStr(data.getComment3()), valueToStr(data.getComment4()), valueToStr(data.getComment5()), valueToStr(data.getComment6()), valueToStr(data.getComment7()), valueToStr(data.getComment8())};
    }

    public static RgaData toAltaData(String[] data, String analysisId) {
        return RgaData.builder().analysisId(analysisId).dataNo(NumberParseUtil.parseInteger(data[0])).quantity(NumberParseUtil.parseInteger(data[1])).lastInspectTime(NumberParseUtil.parseDouble(data[2])).failureSuspension(data[3]).failureEndTime(NumberParseUtil.parseDouble(data[4])).comment1(NumberParseUtil.parseDouble(data[5])).comment2(NumberParseUtil.parseDouble(data[6])).comment3(NumberParseUtil.parseDouble(data[7])).comment4(NumberParseUtil.parseDouble(data[8])).comment5(NumberParseUtil.parseDouble(data[9])).comment6(NumberParseUtil.parseDouble(data[10])).comment7(NumberParseUtil.parseDouble(data[11])).comment8(NumberParseUtil.parseDouble(data[12])).build();
    }

    public static String valueToStr(Double value) {
        return value == null ? null : value.toString();
    }
}
