// Copyright(c) 2021 ReliaQube. All rights reserved.
// 自动生成文件，再次生成时将覆盖修改内容
package com.nationrel.modules.rga.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.jeecg.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Schema(description = "加速数据分析设置表基类")
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("rga_setting")
public class RgaSetting {

    @TableId
    @Schema(description = "加速ID")
    private String analysisId;

    @Schema(description = "分布类型")
    private Integer distributionType;

    @Schema(description = "应力模型")
    private Integer lifeStressModel;

    @Schema(description = "右删失数据量")
    private String rightFlag;

    @Schema(description = "左删失数据量")
    private String leftFlag;

    @Schema(description = "分组")
    private String groupingFlag;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;

    @Schema(description = "标记的时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double time;

    @Schema(description = "标记的不可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double unReliability;

    @Schema(description = "标记的beta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double betaMark;

    @Schema(description = "标记的eta")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double etaMark;

    @Schema(description = "标记的miu")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double muMark;

    @Schema(description = "标记的sigma")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double sigmaMark;

    @Schema(description = "标记的lambda")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double lambdaMark;

    @Schema(description = "目标时间")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetTime;

    @Schema(description = "目标可靠度")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Double targetReliability;
    /**
     * 创建人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建日期")
    private Date createTime;
    /**
     * 更新人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private Date updateTime;

    private Integer versionNo;
}
