package com.nationrel.modules.rga.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.constant.RgaConstants;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Aimee on 2020/10/22.
 */
public enum RgaCalcParametersEnum {
    /**
     *
     */
    stressIndicator("StressIndicator", "stressIndicator"),
    stressName("StressName", "stressName"),
    resolution("Resolution", "resolution"),
    bottom("Bottom", "bottom"),
    top("Top", "top"),
    useStress("UseStress", "useStress"),
    highStress("HighStress", "highStress"),
    failure("Failure", "failure"),
    dataName("DataName", "dataName"),
    suspension("Suspension", "suspension"),
    timeSorted("TimeSorted", "timeSorted"),
    stressSorted("StressSorted", "stressSorted"),
    rankTimeSorted("RankTimeSorted", "rankTimeSorted"),
    pointsXYSorted("PointsXYSorted", "pointsXYSorted"),
    rankTimeCalculated("RankTimeCalculated", "rankTimeCalculated"),
    totalNumStress("TotalNumStress", "totalNumStress"),
    results("Results", "results"),
    beta("Beta", "beta"),
    eta("Eta", "eta"),
    gamma("Gamma", "gamma"),
    varBeta("VarBeta", "varBeta"),
    varEta("VarEta", "varEta"),
    covBetaEta("CovBetaEta", "covBetaEta"),
    varMu("VarMu", "varMu"),
    varSigma("VarSigma", "varSigma"),
    covMuSigma("CovMuSigma", "covMuSigma"),
    varLogMu("VarLogMu", "varLogMu"),
    varLogSigma("VarLogSigma", "varLogSigma"),
    covLogMuSigma("CovLogMuSigma", "covLogMuSigma"),
    varLambda("VarLambda", "varLambda"),
    mu("Mu", "mu"),
    sigma("Sigma", "sigma"),
    logMu("LogMu", "logMu"),
    logSigma("LogSigma", "logSigma"),
    lambda("Lambda", "lambda"),
    lkv("LKV", "lkv"),
    pho("Pho", "pho"),
    mixBeta("MixBeta", "mixBeta"),
    mixEta("MixEta", "mixEta"),
    mixP("MixP", "mixP"),
    failureRank("FailureRank", "failureRank"),
    analysisType("AnalysisType", "analysisType"),
    data("Data", "data"),
    unitsData("UnitsData", "unitsData"),
    totalNumofUnits("TotalNumofUnits", "totalNumofUnits"),
    dataList("DataList", "dataList"),
    totalNumofSystems("TotalNumofSystems", "totalNumofSystems"),
    totalNumFailures("TotalNumFailures", "totalNumFailures"),
    terminationType("TerminationType", "terminationType"),
    lineDataXY("LineDataXY", "lineDataXY"),
    dataRow("DataRow", "dataRow"),
    time("Time", "time"),
    lastInspectTime("LastInspectTime", "lastInspectTime"),
    fSstatus("FSstatus", "fSstatus"),
    dataPointXY("DataPointXY", "dataPointXY"),
    cp("Cp", "cp"),
    cf("Cf", "cf"),
    ci("Ci", "ci"),
    inspectionType("InspectionType", "inspectionType"),
    inputs("Inputs", "inputs"),
    numofForS("NumofForS", "numofForS"),
    settings("Settings", "settings"),
    bounds("Bounds", "bounds"),
    sided("Sided", "sided"),
    on("On", "on"),
    distributionType("DistributionType", "distributionType"),
    dataSets("DataSets", "dataSets"),
    plotData("PlotData", "plotData"),
    totalNumofDataSets("TotalNumofDataSets", "totalNumofDataSets"),
    line("Line", "line"),
    x("X", "x"),
    failureDataRow("FailureDataRow", "failureDataRow"),
    startTime("StartTime", "startTime"),
    lastFailureTime("LastFailureTime", "lastFailureTime"),
    sorted("Sorted", "sorted"),
    systemID("SystemID", "systemID"),
    failureMode("FailureMode", "failureMode"),
    failureSeverity("FailureSeverity", "failureSeverity"),
    numFailures("NumFailures", "numFailures"),
    totalNumSuspensions("TotalNumSuspensions", "totalNumSuspensions"),
    totalNumFailureandSuspensions("TotalNumFailureandSuspensions", "totalNumFailureandSuspensions"),
    totalFailureRows("TotalFailureRows", "totalFailureRows"),
    totalSuspensionRows("TotalSuspensionRows", "totalSuspensionRows"),
    totalNumofRows("TotalNumofRows", "totalNumofRows"),
    dataType("DataType", "dataType"),
    endTime("EndTime", "endTime"),
    method("Method", "method"),
    confidenceLevel("ConfidenceLevel", "confidenceLevel"),
    API_LIFEDATA_FAILURERANK("FailureRank","LifeData/ParameterEstimate/FailureRank"),
    API_LIFEDATA_WEIBULL_TWOPARAMETER_RRY("Weibull/TwoParameter/RRY","LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRY"),
    API_LIFEDATA_WEIBULL_TWOPARAMETER_RRX("Weibull/TwoParameter/RRX","LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_TWOPARAMETER_MLE("Weibull/TwoParameter/MLE","LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_ONEPARAMETER_RRY("Weibull/OneParameter/RRY","LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRY"),
    API_LIFEDATA_WEIBULL_ONEPARAMETER_RRX("Weibull/OneParameter/RRX","LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_ONEPARAMETER_MLE("Weibull/OneParameter/MLE","LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=MLE"),
    API_LIFEDATA_WEIBULL_ONEPARAMETER_ZEROFAILURE("Weibull/TwoParametersZeroFailures","LifeData/ParameterEstimate/Weibull/TwoParametersZeroFailures"),
    API_LIFEDATA_WEIBULL_THREEPARAMETER_RRY("Weibull/ThreeParameter/RRY","LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRY"),
    API_LIFEDATA_WEIBULL_THREEPARAMETER_RRX("Weibull/ThreeParameter/RRX","LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_THREEPARAMETER_MLE("Weibull/ThreeParameter/MLE","LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=MLE"),
    API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRY("Weibull/TwoPopulationMixedWeibullParameter/RRY","LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRY"),
    API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRX("Weibull/TwoPopulationMixedWeibullParameter/RRX","LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_MLE("Weibull/TwoPopulationMixedWeibullParameter/MLE","LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=MLE"),
    API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRY("Weibull/ThreePopulationMixedWeibullParameter/RRY","LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRY"),
    API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRX("Weibull/ThreePopulationMixedWeibullParameter/RRX","LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRX"),
    API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_MLE("Weibull/ThreePopulationMixedWeibullParameter/MLE","LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=MLE"),
    API_LIFEDATA_NORMAL_TWOPARAMETER_RRY("Normal/TwoParameter/RRY","LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRY"),
    API_LIFEDATA_NORMAL_TWOPARAMETER_RRX("Normal/TwoParameter/RRX","LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRX"),
    API_LIFEDATA_NORMAL_TWOPARAMETER_MLE("Normal/TwoParameter/MLE","LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=MLE"),
    API_LIFEDATA_NORMAL_ONEPARAMETER_RRY("Normal/OneParameter/RRY","LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRY"),
    API_LIFEDATA_NORMAL_ONEPARAMETER_RRX("Normal/OneParameter/RRX","LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRX"),
    API_LIFEDATA_NORMAL_ONEPARAMETER_MLE("Normal/OneParameter/MLE","LifeData/ParameterEstimate/Normal/OneParameter?analysisType=MLE"),
    API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRY("Lognormal/OneParameter/RRY","LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRY"),
    API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRX("Lognormal/OneParameter/RRX","LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRX"),
    API_LIFEDATA_LOGNORMAL_ONEPARAMETER_MLE("Lognormal/OneParameter/MLE","LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=MLE"),
    API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRY("Lognormal/TwoParameter/RRY","LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRY"),
    API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRX("Lognormal/TwoParameter/RRX","LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRX"),
    API_LIFEDATA_LOGNORMAL_TWOPARAMETER_MLE("Lognormal/TwoParameter/MLE","LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=MLE"),
    API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRY("Exponential/OneParameter/RRY","LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRY"),
    API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRX("Exponential/OneParameter/RRX","LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRX"),
    API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_MLE("Exponential/OneParameter/MLE","LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=MLE"),
    API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRY("Exponential/TwoParameter/RRY","LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRY"),
    API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRX("Exponential/TwoParameter/RRX","LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRX"),
    API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_MLE("Exponential/TwoParameter/MLE","LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=MLE"),
    API_RELIABILITYGROWTH_PLOT("/ReliabilityGrowth/PlotData","ReliabilityGrowth/PlotData"),
    API_FIXEFFECTIVENSS("/ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss","ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss"),

    ;

    private String windows;

    private String linux;

    private RgaCalcParametersEnum(String windows, String linux) {
        this.windows = windows;
        this.linux = linux;
    }

    public String getWindows() {
        return windows;
    }

    public void setWindows(String windows) {
        this.windows = windows;
    }

    public String getLinux() {
        return linux;
    }

    public void setLinux(String linux) {
        this.linux = linux;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, RgaCalcParametersEnum> JSON_ARRAY_MAP = new HashMap<>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (RgaCalcParametersEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getWindows(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getWindows());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (RgaCalcParametersEnum e : values()) {
            if (e.getWindows().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (RgaCalcParametersEnum e : values()) {
            if (e.getWindows().equals(index)) {
                return e.getLinux();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getParameter(String serverSystem, RgaCalcParametersEnum parameter) {
        return RgaConstants.SERVER_SYSTEM_WINDOWS.equals(serverSystem) ? parameter.getWindows() : parameter.getLinux();
    }

}
