package com.nationrel.modules.rga.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;


public enum RgaColumuNameEnum {

    温度("1", "温度", "TEMP."),
    电压("2", "电压", "Voltage"),
    湿度("3", "湿度", "Humidity"),
    振动("4", "振动", "Shock"),
    温度范围("5", "温度范围", "TEMP. Range"),
    机械("6", "机械", "Mechanics"),
    其它("7", "其它", "Other"),
    其它2("8", "其它", "Other");

    private String index;

    private String name;

    private String englishName;

    private RgaColumuNameEnum(String index, String name, String englishName) {
        this.index = index;
        this.name = name;
        this.englishName = englishName;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, RgaColumuNameEnum> JSON_ARRAY_MAP = new HashMap<String, RgaColumuNameEnum>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (RgaColumuNameEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (RgaColumuNameEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (RgaColumuNameEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getIndex();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getNameByLanguageKey(String index, Integer languageKey) {
        for (RgaColumuNameEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return ReliaqubeLanguageKeyEnum.中文.getIndex().equals(languageKey) ? e.getName() : e.getEnglishName();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
