package com.nationrel.modules.rga.enums;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * 双单侧
 * @author Aimee on 2020/10/22.
 */
public enum RgaConfidenceTypeCodeEnum {
    /**
     * 双单侧
     */
    无("None", "无"),
    双侧("TwoSided", "双侧"),
    上单侧("Top", "上单侧"),
    双单侧("BothOneSided", "双单侧"),
    下单侧("Bottom", "下单侧");

    private String index;

    private String name;

    private RgaConfidenceTypeCodeEnum(String index, String name) {
        this.index = index;
        this.name = name;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, RgaConfidenceTypeCodeEnum> JSON_ARRAY_MAP = new HashMap<String, RgaConfidenceTypeCodeEnum>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (RgaConfidenceTypeCodeEnum enumForEach : values()) {
            JSON_ARRAY_MAP.put(enumForEach.getIndex(), enumForEach);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", enumForEach.toString());
            jsonObject.put("key", enumForEach.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (RgaConfidenceTypeCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getValue(String index) {
        for (RgaConfidenceTypeCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.getIndex();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }

    public static String getNameByLanguageKey(String index, Integer languageKey) {
        for (RgaConfidenceTypeCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return ReliaqubeLanguageKeyEnum.中文.getIndex().equals(languageKey) ? e.getName() : e.getIndex();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
