package com.nationrel.modules.rga.enums;

import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.Objects;

/**
 * alta异常配置
 * @author hechengsheng
 */
public enum RgaParamDataExceptionEnum {

    /**
     * alta异常配置
     */
    没有计算结果无法画图("没有计算结果无法画图！", "Cannot draw without calculation result!", "未知錯誤！", "不明なエラーです"),
    未知错误("未知错误，请联系管理员！", "Unknown error, please contact the administrator!", "未知錯誤！", "不明なエラーです"),
    数据ID不可以为空("数据ID不可以为空！", "Data ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    设置ID不可以为空("设置ID不可以为空！", "Setting ID cannot be empty!", "未知錯誤！", "不明なエラーです"),
    图片上传失败("图片上传失败！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    请输入正确的寿命单位("请输入正确的寿命单位！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    计算失败请检查数据或设置("计算失败，请检查数据或设置！", "Picture upload failed!", "未知錯誤!", "不明なエラーです"),
    分析ID不可以为空("分析ID不可以为空！", "Analysis ID cannot be empty!", "未知錯誤！", "不明なエラーです");

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    RgaParamDataExceptionEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(RgaParamDataExceptionEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
