package com.nationrel.modules.rga.general.domain.enums.alta;

import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.Objects;

/**
 * 通用字段
 * @author hechengsheng
 */
public enum AltaCommonUsedEnum {
    /**
     *
     */
    /**
     * 通用字段
     */
    分析("分析", "Analysis", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    时间("时间", "Time", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    失效数("失效数", "Failure Qty.", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    生成点个数("生成点个数", "Number of Data Points", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    计算结果("计算结果", "Result", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    检测时间("检测时间", "Test Time", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    结束时间("结束时间", "End Time", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    开始时间("开始时间", "Current Time", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    附加时间("附加时间", "Mission Time", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    要求时间("要求时间", "Time Required", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    失效("失效", "Failure", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    测试单元("测试单元", "Test Unit", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    失效百分比("失效百分比", "Failure Percentage", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    测量值("测量值", "Value", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    分布("分布", "Distribution", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    参数类型("参数类型", "Parameter Type", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    估计方法("估计方法", "Estimation Method", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    置信类型("置信类型", "CI Type", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    置信水平("置信水平", "CI", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    可靠度("可靠度(%)", "Reliability", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    不可靠度("不可靠度", "Unreliability", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    可靠性("可靠性", "Reliability", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    置信度("置信度", "CI", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    置信法("置信法", "Method", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    无("无", "None", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    上限("结果上限", "Upper Limit", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    下限("结果下限", "Lower Limit", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    必须至少具有6个不同的故障点才能计算("必须至少具有6个不同的故障点才能计算！", "Must have at least 6 distinct points of failure to count！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください");

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    AltaCommonUsedEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(AltaCommonUsedEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
