package com.nationrel.modules.rga.general.domain.enums.alta;

import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.Objects;

/**
 * 异常配置
 * @author hechengsheng
 */
public enum AltaCustomPromptEnum {
    /**
     * 异常配置
     */
    无法计算("无法计算，请检查数据", "Unable to calculate, please check the data!", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    至少选择一个应力("至少选择一个应力项进行分析！", "At least one stress term is selected for analysis！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    只能选择一个应力("当前模型只能选择一个应力进行分析！", "Only one stress can be selected for analysis in the current model！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    至少需要3条失效数据("当前模型至少需要3条不同的失效数据以及2个不同的应力值才能进行分析！", "The current model requires at least three different failure data as well as two different stress values to be analyzed！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    只能选择二个应力("当前模型只能选择2个应力进行分析！", "Only 2 stresses can be selected for analysis in the current model！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    至少需要4条失效数据("当前模型至少需要4条不同的失效数据以及3应力值组合数才能进行分析！", "The current model requires at least four different failure data and three combinations of stress values to be analyzed！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    GGL需要的计算规则("当前模型需要应力值组合数＞应力类型数且失效数至少比应力类型数大2！", "The current model requires that the number of combinations of stress values > the number of stress types and the number of failures is at least 2 larger than the number of stress types！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください");

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    AltaCustomPromptEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(AltaCustomPromptEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
