package com.nationrel.modules.rga.general.domain.enums.common;


import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.Objects;

/**
 * authority模块异常枚举类
 *
 * @author hcs on 2020/7/15.
 */
public enum AuthorityProgramExceptionEnum {

    /**
     * 异常以及描述信息
     */
    未知错误请联系管理员("未知错误，请联系管理员！", "Unknown error, please contact the administrator！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    授权信息验证错误("授权信息验证错误，请联系软件供应商！", "Unknown error, please contact the administrator！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    软件使用权限已到期("软件使用权限已到期，请联系软件供应商！", "Unknown error, please contact the administrator！", "未知錯誤，請聯繫管理員！", "不明なエラーです。管理者に連絡してください"),
    父节点id有误("父节点id有误！", "ParentId is error！", "父節點id有誤！", "親ノードIDが間違っています"),
    认证信息不合法("认证信息不合法！", "The authentication information is illegal！", "認證信息不合法！", "認証情報が不正です"),
    当前用户已在其他设备登陆请重新登陆("当前用户已在其他设备登陆，请重新登陆！", "The current user has logged in on another device, please log in again！", "當前用戶已在其他設備登陸，請重新登陸！", "現在のユーザーは別のデバイスにログインしています。もう一度ログインしてください"),
    当前账号使用时间已到期("当前账号使用时间已到期，请联系软件供应商处理！", "The current user has logged in on another device, please log in again！", "當前用戶已在其他設備登陸，請重新登陸！", "現在のユーザーは別のデバイスにログインしています。もう一度ログインしてください"),
    当前账号无权限操作此数据("当前账号无权限操作此数据！", "The current account does not have permission to manipulate this data！", "當前賬號無權限操作此數據！", "現在のアカウントには、このデータを操作する権限がありません"),
    认证信息已过期("认证信息已过期！", "Certification information has expired！", "認證信息已過期！", "認定情報の有効期限が切れています"),
    验证码错误("验证码错误，请重新输入！", "Certification information has expired！", "認證信息已過期！", "認定情報の有効期限が切れています"),
    认证失败("认证失败！", "Authentication failed！", "認證失敗！", "認証に失敗しました"),
    当前fmea正在翻译("当前fmea正在翻译！", "Currently fmea is being translated！", "當前fmea正在翻譯！", "現在、fmeaは翻訳中です"),
    fmeaId有误("fmeaId有误！", "FmeaId is error！", "fmeaId有誤！", "fmeaIdが間違っている"),
    结构Id有误("结构Id有误！", "Structure Id is error！", "結構Id有誤！", "不正な構造ID"),
    节点类型非法("节点类型非法！", "Illegal node type！", "節點類型非法！", "不正なノードタイプ"),
    删除失败("删除失败！", "failed to delete！", "刪除失敗！", "削除できませんでした"),
    所传数据不合法("所传数据不合法！", "The data transmitted is illegal！", "所傳數據不合法！", "送信されたデータは違法です"),
    当前组织下已存在您所添加的内容("当前组织下已存在您所添加的内容！", "The content you added already exists under the current organization！", "當前組織下已存在您所添加的內容！", "追加したコンテンツは、現在の組織の下にすでに存在します"),
    当前账号无权限进行该操作("当前账号无权限进行该操作！", "The current account does not have permission to perform this operation！", "當前賬號無權限進行該操作！", "現在のアカウントには、この操作を実行する権限がありません"),
    所选节点会造成循环网("所选节点会造成循环网，请重新选择！", "The selected node will cause a circular network, please select again！", "所選節點會造成循環網，請重新選擇！", "選択したノードにより循環ネットワークが発生します。もう一度選択してください"),
    所选节点已经添加("所选节点已经添加，请重新选择！", "The selected node has been added, please select again！", "所選節點已經添加，請重新選擇！", "選択したノードが追加されました。もう一度選択してください"),
    该fmea出现结构错误("该fmea出现结构错误，请联系管理员处理！", "The fmea has a structural error, please contact the administrator for handling！", "該fmea出現結構錯誤，請聯繫管理員處理！", "fmeaに構造エラーがあります。管理者に連絡して処理してください"),
    该自定义属性存在引用关系("该自定义属性存在引用关系，无法删除！", "This custom attribute has a reference relationship and cannot be deleted!", "該自定義屬性存在引用關係，無法刪除！", "このカスタム属性には参照関係があり、削除できません！"),
    已存在当前措施("当前失效下已存在当前措施，无法添加！", "Existing measures already exist under current invalidation and cannot be added！", "當前失效下已存在現行措施，無法添加！", "既存の対策は現在無効になっているため追加できません"),
    当前用户非管理员("当前登录用户不是管理员，无此操作权限！", "The currently logged-in user is not an administrator and has no such operation authority!", "當前登錄用戶不是管理員，無此操作權限！", "現在ログインしているユーザーは管理者ではなく、そのような操作権限はありません。"),
    验证码有误("请输入正确的验证码！", "Please enter correct verify code!", "請輸入正確的驗證碼！", "正しい確認コードを入力してください！"),
    手机号有误("请输入正确的手机号！", "please enter a valid phone number!", "請輸入正確的手機號！", "有効な電話番号を入力して下さい！"),
    用户名错误("请输入正确的用户名！", "Please enter the correct username!", "請輸入正確的用戶名！", "正しいユーザー名を入力してください！"),
    密码错误("请输入正确的密码！", "Please enter the correct password!", "請輸入正確的密碼！", "正しいパスワードを入力してください！"),
    修改密码失败("密码修改失败，请核对旧密码是否输入正确！", "Password modification failed. Please check if the old password was entered correctly！", "密碼修改失敗，請核對舊密碼是否輸入正確！", "パスワードの変更に失敗した場合は、古いパスワードが正しく入力されているか確認してください");

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    AuthorityProgramExceptionEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(AuthorityProgramExceptionEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
