package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * 语言枚举类
 * @author hcs on 2020/7/15.
 */
public enum CommonUseCodeEnum {
    /**
     *
     */

    USERID("userId");

    private String index;

    private String name;

    private CommonUseCodeEnum(String index) {
        this.index = index;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    // Implementing a fromString method on an enum type
    private static final Map<String, CommonUseCodeEnum> COMMON_USE_CODE_ENUM_MAP = new HashMap<String, CommonUseCodeEnum>();

    public static final JSONArray COMMON_USE_CODE_ENUM_JSON = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (CommonUseCodeEnum commonUseCodeEnum : values()) {
            COMMON_USE_CODE_ENUM_MAP.put(commonUseCodeEnum.getIndex(), commonUseCodeEnum);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", commonUseCodeEnum.toString());
            jsonObject.put("key", commonUseCodeEnum.getIndex());
            COMMON_USE_CODE_ENUM_JSON.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (CommonUseCodeEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
