package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONObject;

import java.math.BigDecimal;

/**
 * @author Aimee on 2020/9/22.
 */
public class EwbConstants {
    /**
     * 选择"计算所选分组,其余分组不计算"
     */
    public static final String GROUPING_TYPE01 = "01";
    // ==================
    // 分析设置-置信百分比校验
    // ==================
    /**
     * @Fields BELIEVEPERCENT_MIN : 置信百分比最小值
     */
    public static final BigDecimal BELIEVEPERCENT_MIN = new BigDecimal("50");
    /**
     * @Fields BELIEVEPERCENT_MAX : 置信百分比最大值
     */
    public static final BigDecimal BELIEVEPERCENT_MAX = new BigDecimal("99.99");
    /**
     * @Fields BELIEVEPERCENT_DEFAULT : 置信百分比默认值
     */
    public static final double BELIEVEPERCENT_DEFAULT = 90.00;
    /**
     * @Fields NO_F_BELIEVEPERCENT_DEFAULT : 如果没有失效时，置信百分比默认值为63
     */
    public static final double NO_F_BELIEVEPERCENT_DEFAULT = 63;
    /**
     * @Fields YAXIS_MIN_IMUM : y轴默认的画图最小值
     */
    public static final double YAXIS_MIN_IMUM = 0.01;
    /**
     * @Fields YAXIS_MAX_IMUM : y轴默认的画图最大值
     */
    public static final double YAXIS_MAX_IMUM = 99.99;

    public static final JSONObject DIRECT_CALC_DATA = JSONObject.parseObject("{\n" +
            "  \"data\": {\n" +
            "    \"endTime\": 0\n" +
            "  },\n" +
            "  \"results\": {\n" +
            "    \"beta\": 3,\n" +
            "    \"eta\": 2000,\n" +
            "\"gamma\": 0,\n" +
            "\"mu\": 0,\n" +
            "\"sigma\":0,\n" +
            "\"logMu\":0,\n" +
            "\"logSigma\":0,\n" +
            "    \"analysisType\": \"RRY\",\n" +
            "    \"distributionType\": \"Weibull\"\n" +
            "  }\n" +
            "}");

    // ==================
    // 计算器-校验范围
    // ==================
    /**
     * @Fields CALC_RANGE_END_TIME_MIN : 结束时间最小值
     */
    public static final BigDecimal CALC_RANGE_END_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_END_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal CALC_RANGE_END_TIME_MAX = new BigDecimal("999999999");

    /**
     * @Fields CALC_RANGE_FAILURE_PERCENT_MIN : 失效百分比最小值
     */
    public static final BigDecimal CALC_RANGE_FAILURE_PERCENT_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_FAILURE_PERCENT_MAX : 失效百分比最大值
     */
    public static final BigDecimal CALC_RANGE_FAILURE_PERCENT_MAX = new BigDecimal("100");

    /**
     * @Fields CALC_RANGE_START_TIME_MIN : 开始时间最小值
     */
    public static final BigDecimal CALC_RANGE_START_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_START_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal CALC_RANGE_START_TIME_MAX = new BigDecimal("999999999");

    /**
     * @Fields CALC_RANGE_TACK_TIME_MIN : 附加时间最小值
     */
    public static final BigDecimal CALC_RANGE_TACK_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_TACK_TIME_MAX : 附加时间最大值
     */
    public static final BigDecimal CALC_RANGE_TACK_TIME_MAX = new BigDecimal("999999999");

    public static final BigDecimal CALC_COMMON_MIN = new BigDecimal("0.00001");
    public static final BigDecimal CALC_COMMON_MAX = new BigDecimal("24");
    public static final BigDecimal CALC_BETA_MAX = new BigDecimal("50");
    public static final BigDecimal CALC_SAMPLE_SIZE_MAX = new BigDecimal("1000000");

    // redis缓存时间12小时
    public static final int REDIS_TIMEOUT = 12;
    /**
     * 最大总数据量1400000
     */
    public static final int MAX_QUANTITY = 1400000000;

    /**
     * 分页面显示200条(2017-2-16 cyber要求修改为200行)
     */
    public static final int RECORD_PER_PAGE = 200;

    // ==================
    // 分析明细数据的F或者S状态
    // ==================
    /**
     * 表示s
     */
    public static final String STATE_S = "0";
    /**
     * 表示f
     */
    public static final String STATE_F = "1";
    /**
     * 表示F
     */
    public static final String STATE_FH = "0";
    /**
     * 表示s
     */
    public static final String STATE_SH = "1";
    /**
     * 页面表示名s
     */
    public static final String STATE_SUSPENSION = "S";
    /**
     * 页面表示名f
     */
    public static final String STATE_FAILURE = "F";
    /**
     * 寿命数据分析导入BeanID
     **/
    public static final String RLD_BEAN_A = "RLD_A_DATA";

    /**
     * @Fields LIFEDATA_QUANTITY_DEFAULT : 寿命数据数量默认值
     */
    public static final Integer LIFEDATA_QUANTITY_DEFAULT = 1;

    /**
     * @Fields TAB_FAILURE_END_TIME_MIN : 结束时间最小值
     */
    public static final BigDecimal TAB_FAILURE_END_TIME_MIN = new BigDecimal("0.0001");
    /**
     * @Fields TAB_FAILURE_END_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal TAB_FAILURE_END_TIME_MAX = new BigDecimal("999999999.9999");
    // ==================
    // 随机数生成删失类型
    // ==================
    /**
     * @Fields NONE_CENSORED : 无删失数据
     */
    public static final String NONE_CENSORED = "1";
    /**
     * @Fields RIGHT_CENSORED : 生成指定数量的失效数据，其余为右删失数据
     */
    public static final String RIGHT_CENSORED = "2";
    /**
     * @Fields TIME_CENSORED : 指定失效时间，大于该时间的为右删失数据
     */
    public static final String TIME_CENSORED = "3";

    // ==================
    // 分析数据是否可以编辑标记
    // ==================
    /**
     * 可以编辑
     */
    public static final String EDIT_FLAG = "0";
    /**
     * 不可以编辑
     */
    public static final String NO_EDIT_FLAG = "1";

    // ==================
    // 明细数据是否发生变化标记
    // ==================
    /**
     * edit表示数据已经发生变化
     */
    public static final String CHANGEDATA_FLAG_EDIT = "edit";

    /**
     * 批处理一次提交可处理数据条数
     */
    public static final int MAX_BATCH_NUM = 200;
    public static final int MAX_BATCH_NUMMAX = 10000;

    /**
     * @Fields KEY_RANK_MINX :  分析秩X最小值
     */
    public static final String KEY_RANK_MINX = "MINX";
    /**
     * @Fields KEY_RANK_MAXX :  分析秩X最大值
     */
    public static final String KEY_RANK_MAXX = "MAXX";
    /**
     * @Fields KEY_RANK_MINY :  分析秩Y最小值
     */
    public static final String KEY_RANK_MINY = "MINY";
    /**
     * @Fields KEY_RANK_MAXY :  分析秩Y最大值
     */
    public static final String KEY_RANK_MAXY = "MAXY";

    public static final int SXSSF_WINDOW_SIZE = 2000;

    // ==================
    // API-置信类型标识
    // ==================
    public static final String RGA_API_NONE = "None";
    public static final String RGA_API_BOTTOM = "Bottom";
    public static final String RGA_API_TOP = "Top";
    public static final String RGA_API_BOTH = "Both";
    public static final String RGA_API_TWOSIDED = "TwoSided";

    /**
     * 最近检查时间/结束时间的最大值
     */
    public static final double MAX_TIME = 999999999.9999;
    /**
     * 失效百分比
     */
    public static final double B10_PERCENT = 0.9;

    // ==================
    // 图形类型
    // ==================
    public static final String PLOT_TYPE_PROBABLITY = "01"; // 概率图
    public static final String PLOT_TYPE_RELIABILITY = "02"; // 可靠度
    public static final String PLOT_TYPE_UNRELIABILITY = "03"; // 不可靠度
    public static final String PLOT_TYPE_FAILURERATE = "04"; // 失效率
    public static final String PLOT_TYPE_PDF = "05"; // 概率密度
    public static final String PLOT_TYPE_CONTOUR = "06"; // 等高图
    public static final String PLOT_TYPE_HISTOGRAM = "07"; // 柱状图
    public static final String PLOT_TYPE_STRESSSTRENGTH = "08"; // ss曲线图
    public static final String PLOT_TYPE_REPLACECOST = "09"; // 最优更换间隔图
    public static final String PLOT_TYPE_INSPECTCOST = "10"; // 最优检测间隔图

    // ==================
    // RGA_API中寿命数据类型
    // ==================
    public static final String RGA_API_DATATYPE_FREEFORM = "FreeForm";
    public static final String RGA_API_DATATYPE_EXACTFAILUREONLY = "ExactFailureOnly";
    public static final String RGA_API_DATATYPE_INTERVALFAILUREONLY = "IntervalFailureOnly";
    public static final String RGA_API_DATATYPE_EXACTFAILUREANDSUSPENSION = "ExactFailureAndSuspension";
    public static final String RGA_API_DATATYPE_INTERVALFAILUREANDSUSPENSION = "IntervalFailureAndSuspension";

    // ==================
    // 明细数据编辑页面,复选框是否选择
    // ==================
    /**
     * 表示复选框选中
     */
    public static final String FLAG_CHECKED = "1";
    /**
     * 表示复选框未选中
     */
    public static final String FLAG_NO_CHECKED = "0";

    // 逗号
    public static final String COMMA = ",";
    /**
     * 参数评估步骤1: 计算p1,p2,p3
     */
    public static final int STEP_1 = 1;
    /**
     * 参数评估步骤1: 计算LK
     */
    public static final int STEP_2 = 2;
    /**
     * 参数评估步骤1: 计算方差
     */
    public static final int STEP_3 = 3;
    // ==================
    // API-置信法标识
    // ==================
    public static final String RGA_API_FISHERMATRIX = "FisherMatrix";
    public static final String RGA_API_LIKELIHOODRATIO = "LikelihoodRatio";


    public static final String RGA_API_PARAMETER_TYPE_BETA = "01";
    public static final String RGA_API_PARAMETER_TYPE_BETAMIXEDWEIBULL = "02";
    public static final String RGA_API_PARAMETER_TYPE_ETA = "03";
    public static final String RGA_API_PARAMETER_TYPE_THETA = "04";
    public static final String RGA_API_PARAMETER_TYPE_LAMBDA = "05";
    public static final String RGA_API_PARAMETER_TYPE_ETAMIXEDWEIBULL = "06";
    public static final String RGA_API_PARAMETER_TYPE_PMIXEDWEIBULL = "07";
    public static final String RGA_API_PARAMETER_TYPE_SIGMA = "08";
    public static final String RGA_API_PARAMETER_TYPE_MU = "09";
    public static final String RGA_API_PARAMETER_TYPE_GAMMA = "10";

    /**
     * 数字1
     */
    public static final int NUM_ONE = 1;
    /**
     * 2位小数
     */
    public static final int NUM_DIGIT_2 = 2;
    /**
     * 4位小数
     */
    public static final int NUM_DIGIT_4 = 4;
    /**
     * 6位小数
     */
    public static final int NUM_DIGIT_6 = 6;
    /**
     * 9位小数
     */
    public static final int NUM_DIGIT_9 = 9;
    /**
     * 10位小数
     */
    public static final int NUM_DIGIT_10 = 10;
    /**
     * 12位小数
     */
    public static final int NUM_DIGIT_12 = 12;

    public static final int NUM_DIGIT_18 = 18;
    /**
     * 查询每批数据的数据量
     */
    public static final int NUM_PAGESIZE_SEL = 2000;
    /**
     * Insert每批数据的数据量
     */
    public static final int NUM_PAGESIZE_INS = 100;
    /**
     * F分布
     */
    public static final double NUM_QF = 0.5;

    // ==================
    // 计算器-计算类型标识
    // ==================
    /**
     * @Fields CALC_TYPE_RELIABILITY : 可靠度
     */
    public static final String CALC_TYPE_RELIABILITY = "01";
    /**
     * @Fields CALC_TYPE_UNRELIABILITY : 不可靠度
     */
    public static final String CALC_TYPE_UNRELIABILITY = "02";
    /**
     * @Fields CALC_TYPE_MTBF : 平均失效时间
     */
    public static final String CALC_TYPE_MTBF = "03";
    /**
     * @Fields CALC_TYPE_FAILURERATE : 失效率
     */
    public static final String CALC_TYPE_FAILURERATE = "04";
    /**
     * @Fields CALC_TYPE_PARAMETER : 参数
     */
    public static final String CALC_TYPE_PARAMETER = "05";
    /**
     * @Fields CALC_TYPE_BLIFE : BX%寿命
     */
    public static final String CALC_TYPE_BLIFE = "06";
    /**
     * @Fields CALC_TYPE_CONDITIONALPROBABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_CONDITIONALPROBABILITY = "07";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件不可靠度
     */
    public static final String CALC_TYPE_CONDITIONALUNRELIABILITY = "08";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_TIMEATRELIABILITY = "09";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_PDF = "10";

    // ==================
    // EwbAnalysisSetting的字段
    // ==================
    public static final String SETTING_ID = "setting_id";

    // ==================
    // Weibull MAP常用key
    // ==================
    public static final String MAP_LIFEDATA_FAILURERANK = "FailureRank";
    public static final String MAP_RESULTS = "Results";
    public static final String LOG_SIGMA = "Log(σ)";
    public static final String MODEL = "model";

    // ==================
    // Weibull Param常用key
    // ==================
    public static final String REQUEST_PARAM_SETTINGS = "settings";
    public static final String REQUEST_PARAM_RESULTS = "results";
    public static final String REQUEST_PARAM_PLOTDATA = "plotData";
    public static final String REQUEST_PARAM_EXCEPTIONMESSAGE = "ExceptionMessage";

    // ==================
    // whichTree类型
    // ==================
    public static final String NON_NEVADA = "nonnevada";

    // ==================
    // 外部API路径
    // ==================
    public static final String API_LIFEDATA_FAILURERANK = "LifeData/ParameterEstimate/FailureRank";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_ONEPARAMETER_ZEROFAILURE = "LifeData/ParameterEstimate/Weibull/TwoParametersZeroFailures";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/ThreeParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_TWOPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/TwoPopulationMixedWeibullParameter?analysisType=MLE";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRY = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRY";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_RRX = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=RRX";
    public static final String API_LIFEDATA_WEIBULL_THREEPOPULATIONMIXEDWEIBULLPARAMETER_MLE = "LifeData/ParameterEstimate/Weibull/ThreePopulationMixedWeibullParameter?analysisType=MLE";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_NORMAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Normal/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_NORMAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Normal/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_LOGNORMAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Lognormal/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_LOGNORMAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Lognormal/TwoParameter?analysisType=MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRY = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_RRX = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_ONEPARAMETER_MLE = "LifeData/ParameterEstimate/Exponential/OneParameter?analysisType=MLE";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRY = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRY";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_RRX = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=RRX";
    public static final String API_LIFEDATA_EXPONENTIAL_TWOPARAMETER_MLE = "LifeData/ParameterEstimate/Exponential/TwoParameter?analysisType=MLE";
    public static final String API_PLOT_URL = "LifeData/PlotData/";
    public static final String API_STRESS_URL = "LifeData/Tools/";
    public static final String API_RANDOM_URL = "LifeData/Tools/MonteCarlo/GenerateRandomFailures";
    public static final String API_FUNCTIONS_RELIABILITY = "LifeData/Functions/Reliability";
    public static final String API_FUNCTIONS_UNRELIABILITY = "LifeData/Functions/Unreliability";
    public static final String API_FUNCTIONS_PDF = "LifeData/Functions/PDF";
    public static final String API_FUNCTIONS_FAILURERATE = "LifeData/Functions/FailureRate";
    public static final String API_FUNCTIONS_MEANLIFE = "LifeData/Functions/MeanLife";
    public static final String API_FUNCTIONS_CONDITIONALRELIABILITY = "LifeData/Functions/ConditionalReliability";
    public static final String API_FUNCTIONS_CONDITIONALUNRELIABILITY = "LifeData/Functions/ConditionalUnreliability";
    public static final String API_FUNCTIONS_TIMEATRELIABILITY = "LifeData/Functions/TimeAtReliability";
    public static final String API_FUNCTIONS_TIMEATUNRELIABILITY = "LifeData/Functions/TimeAtUnreliability";
    public static final String API_BOUNDS_ONBETA = "LifeData/Bounds/BoundOnBeta";
    public static final String API_BOUNDS_ONBETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnBetaMixedWeibull";
    public static final String API_BOUNDS_ONETA = "LifeData/Bounds/BoundOnEta";
    public static final String API_BOUNDS_ONTHETA = "LifeData/Bounds/BoundOnTheta";
    public static final String API_BOUNDS_ONLAMBDA = "LifeData/Bounds/BoundOnLambda";
    public static final String API_BOUNDS_ONETAMIXEDWEIBULL = "LifeData/Bounds/BoundOnEtaMixedWeibull";
    public static final String API_BOUNDS_ONPMIXEDWEIBULL = "LifeData/Bounds/BoundOnPMixedWeibull";
    public static final String API_BOUNDS_ONSIGMA = "LifeData/Bounds/BoundOnSigma";
    public static final String API_BOUNDS_ONMU = "LifeData/Bounds/BoundOnMu";
    public static final String API_BOUNDS_GAMMA = "";//todo
    public static final String API_BOUNDS_ONRELIABILITY = "LifeData/Bounds/BoundOnReliability";
    public static final String API_BOUNDS_ONUNRELIABILITY = "LifeData/Bounds/BoundOnUnReliability";
    public static final String API_BOUNDS_ONMTTF = "LifeData/Bounds/BoundOnMTTF";
    public static final String API_BOUNDS_ONFAILURERATE = "LifeData/Bounds/BoundOnFailureRate";
    public static final String API_BOUNDS_ONCONDITIONALRELIABILITY = "LifeData/Bounds/BoundOnConditionalReliability";
    public static final String API_BOUNDS_ONCONDITIONALUNRELIABILITY = "LifeData/Bounds/BoundOnConditionalUnreliability";
    public static final String API_BOUNDS_ONTIMEGIVENRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenReliability";
    public static final String API_BOUNDS_ONTIMEGIVENUNRELIABILITY = "LifeData/Bounds/BoundOnTimeGivenUnreliability";
    public static final String API_RELIABILITYGROWTH_PARAMETERESTIMATE = "/ReliabilityGrowth/ParameterEstimate/PowerLawGrouped";
    public static final String API_RELIABILITYGROWTH_PLOT = "ReliabilityGrowth/PlotData";
    public static final String API_FIXEFFECTIVENSS = "ReliabilityDemonstraion/FixEffectiviness/FixEffectivenss";

    public static final String RGA_API_CONTENTTYPE_1 = "application/json";
    public static final String RGA_API_ACCEPTTYPE_1 = "text/html";

    // ==================
    // 分析明细数据的数据类型
    // ==================
    /**
     * 完整数据
     */
    public static final String COMPLETE_DATA_TYPE = "01";
    /**
     * 左删失数据
     */
    public static final String LEFT_DATA_TYPE = "02";
    /**
     * 区间删失数据
     */
    public static final String INTERVAL_DATA_TYPE = "03";
    /**
     * 右删失数据
     */
    public static final String RIGHT_DATA_TYPE = "04";

    /**
     * 常量100
     */
    public static final int HUNDRED = 100;

    // 零串
    public static final Integer N_ZERO = 0;

    public static final String API_REQUEST_PLOTDATA_KEY = "API_REQUEST_PLOTDATA_KEY";

    //目标页面为预测页面
    public static final Integer FORECAST = 4;

    /** 编码格式 ISO-8859-1 */
    public static final String CODING_FORMAT = "ISO-8859-1";
    /** XLSM */
    public static final String FILE_TYPE_XLSM = ".xlsm";
    /** XLSM */
    public static final String FILE_TYPE_XLSX = ".xlsx";
    /** XLSM */
    public static final String NEVADA_DATA_NS_NAME_ZH = "预测数据";
    /** XLSM */
    public static final String NEVADA_DATA_UP_NAME_ZH = "预测数据上限";
    /** XLSM */
    public static final String NEVADA_DATA_DOWN_NAME_ZH = "预测数据下限";
}
