package com.nationrel.modules.rga.general.domain.enums.common;

import java.math.BigDecimal;

/**
 * @author Aimee on 2020/9/22.
 */
public class EwbConstantsNew {
    /**
     * 选择"计算所选分组,其余分组不计算"
     */
    public static final String GROUPING_TYPE01 = "01";
    // ==================
    // 分析设置-置信百分比校验
    // ==================
    /**
     * @Fields BELIEVEPERCENT_MIN : 置信百分比最小值
     */
    public static final BigDecimal BELIEVEPERCENT_MIN = new BigDecimal("50");
    /**
     * @Fields BELIEVEPERCENT_MAX : 置信百分比最大值
     */
    public static final BigDecimal BELIEVEPERCENT_MAX = new BigDecimal("99.99");
    /**
     * @Fields BELIEVEPERCENT_DEFAULT : 置信百分比默认值
     */
    public static final double BELIEVEPERCENT_DEFAULT = 90.00;
    /**
     * @Fields NO_F_BELIEVEPERCENT_DEFAULT : 如果没有失效时，置信百分比默认值为63
     */
    public static final double NO_F_BELIEVEPERCENT_DEFAULT = 63;
    /**
     * @Fields YAXIS_MIN_IMUM : y轴默认的画图最小值
     */
    public static final double YAXIS_MIN_IMUM = 0.01;
    /**
     * @Fields YAXIS_MAX_IMUM : y轴默认的画图最大值
     */
    public static final double YAXIS_MAX_IMUM = 99.99;

    // ==================
    // 计算器-校验范围
    // ==================
    /**
     * @Fields CALC_RANGE_END_TIME_MIN : 结束时间最小值
     */
    public static final BigDecimal CALC_RANGE_END_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_END_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal CALC_RANGE_END_TIME_MAX = new BigDecimal("999999999");

    /**
     * @Fields CALC_RANGE_FAILURE_PERCENT_MIN : 失效百分比最小值
     */
    public static final BigDecimal CALC_RANGE_FAILURE_PERCENT_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_FAILURE_PERCENT_MAX : 失效百分比最大值
     */
    public static final BigDecimal CALC_RANGE_FAILURE_PERCENT_MAX = new BigDecimal("100");

    /**
     * @Fields CALC_RANGE_START_TIME_MIN : 开始时间最小值
     */
    public static final BigDecimal CALC_RANGE_START_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_START_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal CALC_RANGE_START_TIME_MAX = new BigDecimal("999999999");

    /**
     * @Fields CALC_RANGE_TACK_TIME_MIN : 附加时间最小值
     */
    public static final BigDecimal CALC_RANGE_TACK_TIME_MIN = new BigDecimal("0");
    /**
     * @Fields CALC_RANGE_TACK_TIME_MAX : 附加时间最大值
     */
    public static final BigDecimal CALC_RANGE_TACK_TIME_MAX = new BigDecimal("999999999");

    public static final BigDecimal CALC_COMMON_MIN = new BigDecimal("0.00001");
    public static final BigDecimal CALC_COMMON_MAX = new BigDecimal("24");
    public static final BigDecimal CALC_BETA_MAX = new BigDecimal("50");
    public static final BigDecimal CALC_SAMPLE_SIZE_MAX = new BigDecimal("1000000");

    // redis缓存时间12小时
    public static final int REDIS_TIMEOUT = 12;
    /**
     * 最大总数据量1400000
     */
    public static final int MAX_QUANTITY = 1400000000;

    /**
     * 分页面显示200条(2017-2-16 cyber要求修改为200行)
     */
    public static final int RECORD_PER_PAGE = 200;

    // ==================
    // 分析明细数据的F或者S状态
    // ==================
    /**
     * 表示s
     */
    public static final String STATE_S = "0";
    /**
     * 表示f
     */
    public static final String STATE_F = "1";
    /**
     * 表示F
     */
    public static final String STATE_FH = "0";
    /**
     * 表示s
     */
    public static final String STATE_SH = "1";
    /**
     * 页面表示名s
     */
    public static final String STATE_SUSPENSION = "S";
    /**
     * 页面表示名f
     */
    public static final String STATE_FAILURE = "F";
    /**
     * 寿命数据分析导入BeanID
     **/
    public static final String RLD_BEAN_A = "RLD_A_DATA";

    /**
     * @Fields LIFEDATA_QUANTITY_DEFAULT : 寿命数据数量默认值
     */
    public static final Integer LIFEDATA_QUANTITY_DEFAULT = 1;

    /**
     * @Fields TAB_FAILURE_END_TIME_MIN : 结束时间最小值
     */
    public static final BigDecimal TAB_FAILURE_END_TIME_MIN = new BigDecimal("0.0001");
    /**
     * @Fields TAB_FAILURE_END_TIME_MAX : 结束时间最大值
     */
    public static final BigDecimal TAB_FAILURE_END_TIME_MAX = new BigDecimal("999999999.9999");
    // ==================
    // 随机数生成删失类型
    // ==================
    /**
     * @Fields NONE_CENSORED : 无删失数据
     */
    public static final String NONE_CENSORED = "1";
    /**
     * @Fields RIGHT_CENSORED : 生成指定数量的失效数据，其余为右删失数据
     */
    public static final String RIGHT_CENSORED = "2";
    /**
     * @Fields TIME_CENSORED : 指定失效时间，大于该时间的为右删失数据
     */
    public static final String TIME_CENSORED = "3";

    // ==================
    // 分析数据是否可以编辑标记
    // ==================
    /**
     * 可以编辑
     */
    public static final String EDIT_FLAG = "0";
    /**
     * 不可以编辑
     */
    public static final String NO_EDIT_FLAG = "1";

    // ==================
    // 明细数据是否发生变化标记
    // ==================
    /**
     * edit表示数据已经发生变化
     */
    public static final String CHANGEDATA_FLAG_EDIT = "edit";

    /**
     * 批处理一次提交可处理数据条数
     */
    public static final int MAX_BATCH_NUM = 200;
    public static final int MAX_BATCH_NUMMAX = 10000;

    /**
     * @Fields KEY_RANK_MINX :  分析秩X最小值
     */
    public static final String KEY_RANK_MINX = "MINX";
    /**
     * @Fields KEY_RANK_MAXX :  分析秩X最大值
     */
    public static final String KEY_RANK_MAXX = "MAXX";
    /**
     * @Fields KEY_RANK_MINY :  分析秩Y最小值
     */
    public static final String KEY_RANK_MINY = "MINY";
    /**
     * @Fields KEY_RANK_MAXY :  分析秩Y最大值
     */
    public static final String KEY_RANK_MAXY = "MAXY";

    public static final int SXSSF_WINDOW_SIZE = 2000;

    // ==================
    // API-置信类型标识
    // ==================
    public static final String RGA_API_NONE = "None";
    public static final String RGA_API_BOTTOM = "Bottom";
    public static final String RGA_API_TOP = "Top";
    public static final String RGA_API_BOTH = "Both";
    public static final String RGA_API_TWOSIDED = "TwoSided";

    /**
     * 最近检查时间/结束时间的最大值
     */
    public static final double MAX_TIME = 999999999.9999;
    /**
     * 失效百分比
     */
    public static final double B10_PERCENT = 0.9;

    // ==================
    // 图形类型
    // ==================
    public static final String PLOT_TYPE_PROBABLITY = "01"; // 概率图
    public static final String PLOT_TYPE_RELIABILITY = "02"; // 可靠度
    public static final String PLOT_TYPE_UNRELIABILITY = "03"; // 不可靠度
    public static final String PLOT_TYPE_FAILURERATE = "04"; // 失效率
    public static final String PLOT_TYPE_PDF = "05"; // 概率密度
    public static final String PLOT_TYPE_CONTOUR = "06"; // 等高图
    public static final String PLOT_TYPE_HISTOGRAM = "07"; // 柱状图
    public static final String PLOT_TYPE_STRESSSTRENGTH = "08"; // ss曲线图
    public static final String PLOT_TYPE_REPLACECOST = "09"; // 最优更换间隔图
    public static final String PLOT_TYPE_INSPECTCOST = "10"; // 最优检测间隔图

    // ==================
    // RGA_API中寿命数据类型
    // ==================
    public static final String RGA_API_DATATYPE_FREEFORM = "FreeForm";
    public static final String RGA_API_DATATYPE_EXACTFAILUREONLY = "ExactFailureOnly";
    public static final String RGA_API_DATATYPE_INTERVALFAILUREONLY = "IntervalFailureOnly";
    public static final String RGA_API_DATATYPE_EXACTFAILUREANDSUSPENSION = "ExactFailureAndSuspension";
    public static final String RGA_API_DATATYPE_INTERVALFAILUREANDSUSPENSION = "IntervalFailureAndSuspension";

    // ==================
    // 明细数据编辑页面,复选框是否选择
    // ==================
    /**
     * 表示复选框选中
     */
    public static final String FLAG_CHECKED = "1";
    /**
     * 表示复选框未选中
     */
    public static final String FLAG_NO_CHECKED = "0";

    // 逗号
    public static final String COMMA = ",";
    /**
     * 参数评估步骤1: 计算p1,p2,p3
     */
    public static final int STEP_1 = 1;
    /**
     * 参数评估步骤1: 计算LK
     */
    public static final int STEP_2 = 2;
    /**
     * 参数评估步骤1: 计算方差
     */
    public static final int STEP_3 = 3;
    // ==================
    // API-置信法标识
    // ==================
    public static final String RGA_API_FISHERMATRIX = "FisherMatrix";
    public static final String RGA_API_LIKELIHOODRATIO = "LikelihoodRatio";


    public static final String RGA_API_PARAMETER_TYPE_BETA = "01";
    public static final String RGA_API_PARAMETER_TYPE_BETAMIXEDWEIBULL = "02";
    public static final String RGA_API_PARAMETER_TYPE_ETA = "03";
    public static final String RGA_API_PARAMETER_TYPE_THETA = "04";
    public static final String RGA_API_PARAMETER_TYPE_LAMBDA = "05";
    public static final String RGA_API_PARAMETER_TYPE_ETAMIXEDWEIBULL = "06";
    public static final String RGA_API_PARAMETER_TYPE_PMIXEDWEIBULL = "07";
    public static final String RGA_API_PARAMETER_TYPE_SIGMA = "08";
    public static final String RGA_API_PARAMETER_TYPE_MU = "09";
    public static final String RGA_API_PARAMETER_TYPE_GAMMA = "10";

    /**
     * 数字1
     */
    public static final int NUM_ONE = 1;
    /**
     * 2位小数
     */
    public static final int NUM_DIGIT_2 = 2;
    /**
     * 4位小数
     */
    public static final int NUM_DIGIT_4 = 4;
    /**
     * 6位小数
     */
    public static final int NUM_DIGIT_6 = 6;
    /**
     * 9位小数
     */
    public static final int NUM_DIGIT_9 = 9;
    /**
     * 10位小数
     */
    public static final int NUM_DIGIT_10 = 10;
    /**
     * 12位小数
     */
    public static final int NUM_DIGIT_12 = 12;

    public static final int NUM_DIGIT_18 = 18;
    /**
     * 查询每批数据的数据量
     */
    public static final int NUM_PAGESIZE_SEL = 2000;
    /**
     * Insert每批数据的数据量
     */
    public static final int NUM_PAGESIZE_INS = 100;
    /**
     * F分布
     */
    public static final double NUM_QF = 0.5;

    // ==================
    // 计算器-计算类型标识
    // ==================
    /**
     * @Fields CALC_TYPE_RELIABILITY : 可靠度
     */
    public static final String CALC_TYPE_RELIABILITY = "01";
    /**
     * @Fields CALC_TYPE_UNRELIABILITY : 不可靠度
     */
    public static final String CALC_TYPE_UNRELIABILITY = "02";
    /**
     * @Fields CALC_TYPE_MTBF : 平均失效时间
     */
    public static final String CALC_TYPE_MTBF = "03";
    /**
     * @Fields CALC_TYPE_FAILURERATE : 失效率
     */
    public static final String CALC_TYPE_FAILURERATE = "04";
    /**
     * @Fields CALC_TYPE_PARAMETER : 参数
     */
    public static final String CALC_TYPE_PARAMETER = "05";
    /**
     * @Fields CALC_TYPE_BLIFE : BX%寿命
     */
    public static final String CALC_TYPE_BLIFE = "06";
    /**
     * @Fields CALC_TYPE_CONDITIONALPROBABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_CONDITIONALPROBABILITY = "07";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_CONDITIONALUNRELIABILITY = "08";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_TIMEATRELIABILITY = "09";
    /**
     * @Fields CALC_TYPE_CONDITIONALUNRELIABILITY : 条件可靠度
     */
    public static final String CALC_TYPE_PDF = "10";

    public static final String RGA_API_CONTENTTYPE_1 = "application/json";
    public static final String RGA_API_ACCEPTTYPE_1 = "text/html";

    // ==================
    // 分析明细数据的数据类型
    // ==================
    /**
     * 完整数据
     */
    public static final String COMPLETE_DATA_TYPE = "01";
    /**
     * 左删失数据
     */
    public static final String LEFT_DATA_TYPE = "02";
    /**
     * 区间删失数据
     */
    public static final String INTERVAL_DATA_TYPE = "03";
    /**
     * 右删失数据
     */
    public static final String RIGHT_DATA_TYPE = "04";

    /**
     * 常量100
     */
    public static final int HUNDRED = 100;

    // 零串
    public static final Integer N_ZERO = 0;

    public static final String API_REQUEST_PLOTDATA_KEY = "API_REQUEST_PLOTDATA_KEY";
}
