package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.HashMap;
import java.util.Map;

/**
 * 系统常量值类别定义枚举
 * @author hcs on 2019/7/26.
 */
public enum SysCodeGroupEnum {
    /**
     * 系统常量值类别定义枚举
     */
    措施状态("measureStatus");

    private String index;

    SysCodeGroupEnum(String index) {
        this.index = index;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    // Implementing a fromString method on an enums type
    private static final Map<String, SysCodeGroupEnum> JSON_ARRAY_MAP = new HashMap<>();

    public static final JSONArray JSON_ARRAY = new JSONArray();

    static {
        // Initialize map from constant name to enums constant
        for (SysCodeGroupEnum sttp : values()) {
            JSON_ARRAY_MAP.put(sttp.getIndex(), sttp);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", sttp.toString());
            jsonObject.put("key", sttp.getIndex());
            JSON_ARRAY.add(jsonObject);
        }
    }

    // Returns Blah for string, or null if string is invalid
    public static SysCodeGroupEnum fromString(String symbol) {
        return JSON_ARRAY_MAP.get(symbol);
    }

    public static String getName(String index) {
        for (SysCodeGroupEnum e : SysCodeGroupEnum.values()) {
            if (e.getIndex() == index) {
                return e.name();
            }
        }
        return null;
    }
}
