package com.nationrel.modules.rga.general.domain.enums.common;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.HashMap;
import java.util.Map;

/**
 * 语言枚举类
 *
 * @author hcs on 2020/7/15.
 */
public enum WhetherFlagEnum {

    /**
     * 是否判断值
     */
    YES(1),
    NO(0);

    /**
     * 下标值
     */
    private Integer index;

    /**
     * 枚举名
     */
    private String name;

    private WhetherFlagEnum(Integer index) {
        this.index = index;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * Implementing a fromString method on an enum type
     */
    private static final Map<Integer, WhetherFlagEnum> WHETHER_FLAG_ENUM_MAP = new HashMap<Integer, WhetherFlagEnum>();

    public static final JSONArray WHETHER_FLAG_ENUM_JSON = new JSONArray();

    static {
        // Initialize map from constant name to enum constant
        for (WhetherFlagEnum commonUseCodeEnum : values()) {
            WHETHER_FLAG_ENUM_MAP.put(commonUseCodeEnum.getIndex(), commonUseCodeEnum);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("value", commonUseCodeEnum.toString());
            jsonObject.put("key", commonUseCodeEnum.getIndex());
            WHETHER_FLAG_ENUM_JSON.add(jsonObject);
        }
    }

    public static String getName(String index) {
        for (WhetherFlagEnum e : values()) {
            if (e.getIndex().equals(index)) {
                return e.name();
            }
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
