package com.nationrel.modules.rga.general.domain.enums.reliaqube;

/**
 * 程序异常配置
 *
 * @author Hechengsheng on 2017/10/15.
 */
public enum ReliaqubeProgramExceptionEnum {
    /**
     * 程序异常配置
     */
    NullPointerException(100, "【空指针异常】:{}"),

    IndexOutOfBoundsException(101, "【数组下标越界异常】:{}"),

    ClassCastException(102, "【数据类型转换异常】:{}"),

    FileNotFoundException(103, "【文件未找到异常】:{}"),

    ArrayIndexOutOfBoundsException(104, "【数组下表越界异常】:{}"),

    InvocationTargetException(105, "【反射方法执行异常】:{}"),

    NumberFormatException(106, "【数据类型转换错误】:{}"),

    IllegalArgumentException(107, "【参数不合法异常】:{}"),

    DescribeException(108, "【自定义异常】:{}"),

    UnAuthorizedException(401, "【鉴权未通过异常】:{}"),

    IsTranslatingException(301, "【fmea正在翻译】:{}"),

    ParamterDataException(1, "【数据验证异常】:{}"),

    ParamterDataMleException(2, "【数据验证异常Mle】:{}"),

    ParamterDataMleBoundException(4, "【数据验证异常Mle&Bound】:{}"),

    ParamterDataWeibullMleException(3, "【数据验证异常WeibullMle】:{}"),

    SysCustomException(-1, "【其他异常】:{}");

    private int index;

    private String name;

    private ReliaqubeProgramExceptionEnum(int index, String name) {
        this.index = index;
        this.name = name;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
