package com.nationrel.modules.rga.general.domain.enums.weibull;


import com.nationrel.modules.rga.general.domain.enums.reliaqube.ReliaqubeLanguageKeyEnum;
import com.nationrel.modules.rga.general.util.common.BasicDataUtil;

import java.util.Objects;

public enum EwbCustomPromptEnum {
    /**
     *
     */

    每个单元编号至少有两条不相同的数据("每个单元编号至少有两条不相同的数据", "Each unit no has at least two distinct data", "", ""),
    当前多图有未完成画图的分析("当前多图有未完成画图的分析，请先完成所选分析的画图再进行多图分析！", "The data cannot be calculated. Please check the data. If there is no problem with the data, please contact the software supplier for processing!", "", ""),
    无法计算("该数据无法计算，请检查数据，若数据没有问题，请联系软件供应商处理！", "The data cannot be calculated. Please check the data. If there is no problem with the data, please contact the software supplier for processing!", "", ""),
    其他人正在操作数据 ("其他人正在操作数据！", "Someone else is manipulating the data", "", ""),
    非vip用户仅支持少量数据计算 ("非vip用户仅支持少量数据计算，数据量：", "Someone else is manipulating the data", "", ""),
    不可为空("不可为空", "CANNOT be empty", "CANNOT be empty！", ""),
    不能为零("不能为零", "CANNOT be 0", "", ""),
    必须为数字("必须为数字", "MUST be a number", "", ""),
    必须为大于零数字("必须为大于0的数字", "MUST be a number greater than 0", "", ""),
    退化导入数据有误("请检查导入的数据是否正确，time&Degradation必须为数字！", "Please check whether the imported data is correct. Time&degradation must be a number!", "", ""),
    必须为整数("必须为整数", "MUST be an integer", "", ""),
    范围请输入("范围请输入", "range please enter", "", ""),
    请选择正确的计算方式("请选择正确的计算方式", "Please select the correct calculation method", "", ""),
    无法使用所选分布分析数据("该数据无法使用所选分布进行分析，请尝试使用其他分布或参数估计方法。", "It was not possible to analyze the data set using the selected distribution. Please, try to use another distribution, or parameters estimation method.", "", ""),
    当前数据所关联weibull未完成分析("当前数据所关联weibull未完成分析，请先完成weibull分析！", "Weibull associated with the current data has not been analyzed, unable to analyze!", "", ""),
    画图出现问题("画图出现问题，请稍后再试或联系管理员！", "There is a problem with drawing. Please try again later or contact the administrator!",
            "", ""),
    当前选择的weibull分布的β参数("当前选择的weibull分布的β参数≤1，无法运行最优更换间隔计算。", "Of the currently selected Weibull distribution β Parameter ≤ 1, the optimal replacement interval calculation cannot be run.", "", ""),
    当前所选数据无法计算所选周期的最优区间("当前所选数据无法计算所选周期的最优区间！", "The currently selected data cannot calculate the optimal interval of the selected period!", "", ""),
    导入数据不可超过100000("导入数据不可超过100000", "Import data cannot exceed 100000", "", ""),
    数据不可以为空("数据不可以为空", "Data cannot be empty", "", ""),
    分析名称不可以为空("分析名称不可以为空", "Analysis name cannot be empty", "", ""),
    至少选择一个分析不可以为空("至少选择一个分析不可以为空", "Select at least one analysis cannot be empty", "", ""),
    多图ID不可以为空("多图ID不可以为空", "Multi-image ID cannot be empty", "", ""),
    设置ID不可以为空("设置ID不可以为空", "Setting ID cannot be empty", "", ""),
    请将kpi内华达数据填写完整("请输入完整的数据，每列数据中间不能有空格，且每列数据量不能超过第一列数据！", "Please fill in the kpi Nevada data completely", "", ""),
    不能为空("不能为空", "CANNOT be empty", "", ""),
    参数不可为空("参数不可为空", "Parameters cannot be null", "", ""),
    必须是大于("必须是大于", "MUST be greater than", "", ""),
    且小于等于("且小于等于", "and less than or equal to", "", ""),
    范围必须是("范围必须是", "range MUST be", "", ""),
    至少需要15条F数据才能计算("至少需要15条F数据才能计算！", "At least 15 pieces of F data are required to calculate！", "", ""),
    填写正确的开始结束时间("请填写正确的开始结束时间以及F/S状态！", "Fill in the correct start and end times！", "", ""),
    开始结束时间必须为数字("请检查数据，开始结束时间必须为数字！", "Start and end times must be numbers！", "", ""),
    结束时间必须大于开始时间("请检查数据，结束时间必须大于开始时间！", "End time must be greater than start time！", "", ""),
    必须大于等于最近检查时间("必须大于等于最近检查时间！", " must be greater than or equal to the latest inspection time!", "", ""),

    Rank一参数需要至少一个数据("一参数需要至少一个数据才能计算！", "Must have at least 1 distinct points of failure to count！", "", ""),

    Rank二参数三参数需要至少一个数据("二参数、三参数需要至少二个不同的数据点才能计算！", "Must have at least 2 distinct points of failure to count！", "", ""),
    必须至少具有6个不同的故障点才能计算("必须至少具有6个不同的故障点才能计算！", "Must have at least 6 distinct points of failure to count！", "", ""),
    只有一个失效数据或者所有失效数据相等则只有1参数的weibull分布和1参数的指数分布适合("只有一个失效数据或者所有失效数据相等，则只有1-参数的weibull分布和1-参数的指数分布适合！", "There is only one failure data or all failure data are equal, only the 1-parameter Weibull distribution and the 1-parameter exponential distribution are suitable！", "", ""),
    当前寿命数据都为右删失只能选择1参数weibull分布MLE方法或者1参数指数分布MLE方法("当前寿命数据都为右删失，只能选择1-参数weibull分布MLE方法或者1-参数指数分布MLE方法！", "The current life data are all right-censored, only the 1-parameter Weibull distribution MLE method or the 1-parameter exponential distribution MLE method can be selected！", "", ""),
    只有一个失效数据或者所有失效数据相等且失效时间小于最小右删失数据可选择MLE方法("只有一个失效数据或者所有失效数据相等且失效时间小于最小右删失数据，可选择MLE方法！", "There is only one failure data or all failure data are equal and contain right-censored data to choose MLE method！", "", ""),
    只有一个失效数据或者所有失效数据相等且失效时间大于最大右删失数据可选择MLE方法("只有一个失效数据且失效数据大于最大右删失数据，只能选择1-参数weibull分布MLE方法或者1-参数指数分布MLE方法！", "There is only one failure data and the failure data is less than the minimum right-censored data Only the MLE method can be selected！", "", ""),
    只有一个失效数据则只有1参数MLE方法适合("只有一个失效数据或者所有失效数据相等，则只有1参数的MLE方法适合！", "With only one failure data, only the 1-parameter Weibull distribution MLE method and the 1-parameter exponential distribution MLE method are suitable！", "", ""),
    P2P3的区间数据计算至少需要两个不完全重合的区间("2参数/3参数区间数据计算至少需要两个不完全重合的区间！", "With only one failure data, only the 1-parameter Weibull distribution MLE method and the 1-parameter exponential distribution MLE method are suitable！", "", ""),
    返修数量的总和超过了销售数量("返修数量的总和超过了销售数量，请检查数据的正确性！", "The sum of the number of repairs exceeds the number of sales！", "", ""),
    weibull数据导入提示信息("请上传正确的文件格式，目前仅支持xlsm格式，建议点击下载模板按钮，下载导入模板，将数据复制到模板中进行校验后再导入。", "Weibull data import prompt information！", "", ""),
    数据导入提示信息xlsx("请上传正确的文件格式，目前仅支持xlsx格式", "Weibull data import prompt information！", "", ""),
    请执行文件中的数据校验按钮之后再上传("请执行文件中的数据校验按钮之后再上传。", "Please execute the data verification button in the file before uploading！", "", ""),
    请确认数据正常("请确认数据正常。", "Please confirm that the data is normal！", "", ""),
    数据不可重复("存在重复的数据，请确认数据正常。", "Please confirm that the data is normal！", "", ""),
    数据不可为空("存在空数据，请确认数据正常。", "Please confirm that the data is normal！", "", ""),
    表头数据错误("表头数据错误，请检查。", "Table header data error, please check！", "", ""),
    请选择分布("请选择分布。", "Please select a distribution！", "", ""),
    请先输入数据("请先输入数据。", "Please enter data first！", "", ""),
    计算失败请检查数据("计算失败，请检查数据。", "Calculation failed, please check the data！", "", ""),
    请输入正确的置信下限("请输入正确的置信下限，置信下限范围为0-100。", "Please enter the correct lower confidence limit！", "", ""),
    项目信息不存在("项目信息不存在", "Project information does not exist！", "", ""),
    文件导入失败("文件导入失败", "File import failed！", "", ""),
    设备字典为空("设备字典为空，请先导入设备字典", "The device dictionary is empty！", "", ""),
    失效模式为空("该设施关联的失效模式字典为空，请先导入失效模式", "The FailureCode dictionary is empty！", "", ""),
    请填写合法且完整的数据("请填写合法且完整的数据（数据不可为空且必须为整数）！", "Please fill in legal and complete data！", "", ""),
    请求生成随机数接口出错("请求生成随机数接口出错，请重试！", "Request to generate random number interface error！", "", ""),
    至少选择一条分析("至少选择一条分析！", "Select at least one analysis！", "", ""),
    外部API异常("外部API异常，请联系管理员处理。", "External API exception！", "", ""),
    名称已存在("名称已存在！", "Name already exists！", "名称已存在！", "名前はそんざい存在します"),
    失效代码已存在("失效代码已存在！", "Failure Code already exists！", "名称已存在！", "名前はそんざい存在します");

    private String chinese;

    private String english;

    private String tw;

    private String japanese;

    public String getChinese() {
        return chinese;
    }

    public void setChinese(String chinese) {
        this.chinese = chinese;
    }

    public String getEnglish() {
        return english;
    }

    public void setEnglish(String english) {
        this.english = english;
    }

    public String getTw() {
        return tw;
    }

    public void setTw(String tw) {
        this.tw = tw;
    }

    public String getJapanese() {
        return japanese;
    }

    public void setJapanese(String japanese) {
        this.japanese = japanese;
    }

    EwbCustomPromptEnum(String chinese, String english, String tw, String japanese) {
        this.chinese = chinese;
        this.english = english;
        this.tw = tw;
        this.japanese = japanese;
    }

    public static String getLanguageMessageByKey(EwbCustomPromptEnum promptEnum, Integer languagekey) {
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.中文.getIndex())) {
            return promptEnum.getChinese();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.英语.getIndex())) {
            return promptEnum.getEnglish();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.繁体中文.getIndex())) {
            return promptEnum.getTw();
        }
        if (Objects.equals(languagekey, ReliaqubeLanguageKeyEnum.日语.getIndex())) {
            return promptEnum.getJapanese();
        }
        return BasicDataUtil.EMPTY_STR;
    }
}
