// Copyright(c) 2021 ReliaQube. All rights reserved.
package com.nationrel.modules.rga.vo;

import com.alibaba.fastjson.JSONObject;
import com.nationrel.modules.rga.entity.RgaCalcResult;
import com.nationrel.modules.rga.entity.RgaPlot;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Schema(description = "生成的图形数据")
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class RgaPlotVo extends RgaPlot {

    private JSONObject analysisData;

    private String[] analysisColumn;

    @SuppressWarnings("AlibabaLowerCamelCaseVariableNaming")
    private String[] analysisColumnFS;

    private Integer failureQ;

    private RgaCalcResult calcResult;

    private List<RgaSelectColumnVo> selectColumnVos;

    private Integer suspensionQ;

    private String confidenceDetail;

    private Integer lifeStressModel;

    private String[] dates;

    @Schema(description = "自定义的结束时间列名")
    private String endTimeName;

    @Schema(description = "调用画图API返回结果")
    private RgaCalcResultsVo calcResults;

    @Schema(description = "X-axis开始")
    private Double xaxisStart;

    @Schema(description = "X-axis结束")
    private Double xaxisEnd;

    @Schema(description = "Y-axis开始")
    private Double yaxisStart;

    @Schema(description = "Y-axis结束")
    private Double yaxisEnd;

    @Schema(description = "标记的时间")
    private Double time;

    @Schema(description = "标记的不可靠度")
    private Double unReliability;

    @Schema(description = "标记的beta")
    private Double betaMark;

    @Schema(description = "标记的eta")
    private Double etaMark;

    @Schema(description = "标记的miu")
    private Double muMark;

    @Schema(description = "标记的sigma")
    private Double sigmaMark;

    @Schema(description = "标记的lambda")
    private Double lambdaMark;

    @Schema(description = "目标时间")
    private Double targetTime;

    @Schema(description = "目标可靠度")
    private Double targetReliability;
}

