package com.nationrel.modules.rga.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.rga.entity.RgaColumn;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface RgaColumnMapper extends BaseMapper<RgaColumn> {
    @Select("select stress_level from rga_column where analysis_id = #{analysisId} and show_status = 1")
    List<Double> selectUseStress(String analysisId);

    @Insert({"<script>",
            "insert into rga_column (analysis_id,column_id,name,unit,select_status,show_status,stress_level) values",
            "<foreach collection='columns' item='column' index='index' separator=','>",
            "(#{column.analysisId},#{column.columnId},#{column.name},#{column.unit},#{column.selectStatus},#{column.showStatus},#{column.stressLevel})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param(value = "columns") List<RgaColumn> columns);

    /**
     * 批量修改
     * @param rgaColumnList
     */
    void batchUpdate(@Param("list") List<RgaColumn> rgaColumnList);
}
