package com.nationrel.modules.rga.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.rga.dto.RgaGroupNameValueDto;
import com.nationrel.modules.rga.entity.RgaData;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

public interface RgaDataMapper extends BaseMapper<RgaData> {

    @Insert({"<script>",
            "insert into rga_data (analysis_id,data_no,quantity,last_inspect_time,f_s,failure_end_time,comment1,comment2,comment3,comment4,comment5,comment6,comment7,comment8) values",
            "<foreach collection='altaDatas' item='altaData' index='index' separator=','>",
            "(#{altaData.analysisId},#{altaData.dataNo},#{altaData.quantity},#{altaData.lastInspectTime},#{altaData.failureSuspension},#{altaData.failureEndTime},#{altaData.comment1},#{altaData.comment2},#{altaData.comment3},#{altaData.comment4},#{altaData.comment5},#{altaData.comment6},#{altaData.comment7},#{altaData.comment8})",
            "</foreach>",
            "</script>"})
    void insertBatch(@Param(value = "altaDatas") List<RgaData> rgaData);

    @Select("select concat(${columnIdQuerys}) as name, sum(quantity) as value from rga_data where analysis_id = #{analysisId} and f_s = #{failureSuspension} group by ${columnIds} order by ${columnIds}")
    List<RgaGroupNameValueDto> selectGroupSumByFs(String columnIds, String columnIdQuerys, String analysisId, String failureSuspension);

    @Select("select concat(${columnIdQuerys}) from rga_data where analysis_id = #{analysisId} group by ${columnIds} order by ${columnIds}")
    List<String> selectGroups(String columnIds, String columnIdQuerys, String analysisId);

    @Select("select sum(quantity) from rga_data where analysis_id = #{analysisId} and f_s = #{failureSuspension}")
	Integer selectSumByForS(String analysisId, String failureSuspension);

    @Update("update rga_data set f_s = 1 where analysis_id = #{analysisId} and f_s = '0'")
    void updatefByAnalysisId(String analysisId);

    @Update("update rga_data set last_inspect_time = NULL where analysis_id = #{analysisId}")
    void updateLitByAnalysisId(String analysisId);

    @Update("update rga_data set quantity = 1 where analysis_id = #{analysisId}")
    void updateQuantityByAnalysisId(String analysisId);

    @Select("select min(${columnId}) from rga_data where analysis_id = #{analysisId}")
    double selectMinValue(String analysisId, String columnId);

    @Select("select max(${columnId}) from rga_data where analysis_id = #{analysisId}")
    double selectMaxValue(String analysisId, String columnId);

    @Select("select min(failure_end_time) from rga_data where analysis_id = #{analysisId}")
    Double selectMinXvalue(String analysisId);

    @Select("select max(failure_end_time) from rga_data where analysis_id = #{analysisId}")
    Double selectMaxXvalue(String analysisId);

    @Select("select count(distinct failure_end_time) from rga_data where  analysis_id = #{analysisId} and F_S = '1'")
    int countfCompleteByFtEqu(@Param("analysisId") String analysisId);

    @Select("select count(distinct ${stressName}) from rga_data where  analysis_id = #{analysisId} and F_S = '1'")
    int countStressCompleteById(@Param("analysisId") String analysisId, @Param("stressName") String stressName);

    @Select("select count(distinct CONCAT(${stressNames})) from rga_data where  analysis_id = #{analysisId} and F_S = '1'")
    int countGroupStressById(@Param("analysisId") String analysisId, @Param("stressNames") String stressNames);
}
